import { dW as b, m as h, al as p, dX as T, dY as w, dZ as f, d_ as H, aq as n, ap as o, d$ as _, dJ as A } from "./derive-chart-family-woVAnbRi.js";
class c extends b {
  constructor(e, t, i, r, a, m, l, d, y, u) {
    if (super(e, a || h.Dimension, m, d, y), this._dimensions = [], this._attributes = [], this._sort = p.None, !y && t) {
      const { table: g, column: D } = T(t);
      this.composeCode = w(g, D, "", _);
    }
    this._sort = l || p.None, this._expression = t, this.setDimensions(r || []), this.setAttributes(i), u && (this.defaultAttribute = u);
  }
  static parseType(e) {
    switch (e) {
      case "datetime":
      case h.DateDimension:
        return h.DateDimension;
      case "text":
      case h.TextDimension:
        return h.TextDimension;
      case "numeric":
      case h.NumericDimension:
        return h.NumericDimension;
    }
    return h.TextDimension;
  }
  getAttachedName(e, t) {
    let i = e;
    const r = f(e);
    return (r === "id" || r === "name" || Object.getOwnPropertyDescriptor(this, r) !== void 0 || this[r] !== void 0) && (i = t), i;
  }
  setDimensions(e) {
    this._dimensions = e;
    for (let t = 0; t < e.length; t++) {
      const i = this.getAttachedName(e[t].name, e[t].attributes[0].expression);
      this[f(i)] = e[t], i != e[t].name && (e[t].name = i);
    }
  }
  setAttributes(e) {
    this._attributes = e || [];
    for (let t = 0; t < e.length; t++) {
      const i = this.getAttachedName(e[t].name, e[t].expression);
      this[f(i)] = e[t], e[t].name != i && (e[t].name = i);
    }
  }
  /**
   * gets the element's ID
   */
  get id() {
    return this._expression;
  }
  /**
   * Gets the child attributes
   */
  get attributes() {
    return this._attributes;
  }
  /**
   * Gets the child dimensions
   */
  get dimensions() {
    return this._dimensions;
  }
  get expression() {
    return this._expression;
  }
  /**
   * Gets the sort definition of this instance
   *
   * @returns The Sort definition of this instance
   */
  getSort() {
    return this._sort;
  }
  /**
   * Gets a sorted {@link Dimension} with the given definition
   *
   * @param sort - Sort definition
   * @returns An instance representing the sorted {@link Dimension} of this instance
   */
  sort(e) {
    return new c(this.name, this.expression, this.attributes, this.dimensions, this.type, this.description, e, this.dataSource, this.composeCode, this.defaultAttribute);
  }
  /**
   * Gets a serializable representation of the element
   */
  serialize() {
    const e = super.serialize();
    return e.__serializable = "DimensionalDimension", e.expression = this.expression, this.getSort() !== void 0 && (e.sort = this.getSort()), e.attributes = this._attributes.map((t) => t.serialize()), e.dimensions = this._dimensions.map((t) => t.serialize()), this.defaultAttribute && (e.defaultAttribute = this.defaultAttribute.serialize()), e;
  }
  /**
   * Gets the JAQL representation of this instance
   *
   * @param nested - defines whether the JAQL is nested within parent JAQL statement or a root JAQL element
   */
  jaql(e) {
    if (this.defaultAttribute)
      return this.defaultAttribute.jaql(e);
    if (this.dimensions.length > 0)
      return this.dimensions[0].jaql(e);
    const t = {
      jaql: {
        title: this.name,
        dim: this.expression,
        datatype: H(this.type)
      }
    };
    return this._sort != p.None && (t.jaql.sort = this._sort == p.Ascending ? "asc" : "desc"), e === !0 ? t.jaql : t;
  }
}
class M extends c {
  constructor(e, t, i, r, a, m) {
    super(e, t, [], [], h.DateDimension, i, r, a, m), this.defaultLevel = n.Years, this.Years = new o(n.Years, t, n.Years, "yyyy", i, r, a), this.Quarters = new o(n.Quarters, t, n.Quarters, "Q yyyy", i, r, a), this.Months = new o(n.Months, t, n.Months, "yyyy-MM", i, r, a), this.Weeks = new o(n.Weeks, t, n.Weeks, "ww yyyy", i, r, a), this.Days = new o(n.Days, t, n.Days, "yyyy-MM-dd", i, r, a), this.Hours = new o(n.Hours, t, n.Hours, "yyyy-MM-dd HH:mm", i, r, a), this.MinutesRoundTo30 = new o(n.MinutesRoundTo30, t, n.MinutesRoundTo30, "yyyy-MM-dd HH:mm", i, r, a), this.MinutesRoundTo15 = new o(n.MinutesRoundTo15, t, n.MinutesRoundTo15, "yyyy-MM-dd HH:mm", i, r, a), this.Minutes = new o(n.Minutes, t, n.Minutes, "yyyy-MM-dd HH:mm", i, r, a), this.Seconds = new o(n.Seconds, t, n.Seconds, "yyyy-MM-dd HH:mm:ss", i, r, a), this.AggHours = new o(n.AggHours, t, n.AggHours, "HH:mm", i, r, a), this.AggMinutesRoundTo30 = new o(n.AggMinutesRoundTo30, t, n.AggMinutesRoundTo30, "HH:mm", i, r, a), this.AggMinutesRoundTo15 = new o(n.AggMinutesRoundTo15, t, n.AggMinutesRoundTo15, "HH:mm", i, r, a), this.AggMinutesRoundTo1 = new o(n.AggMinutesRoundTo1, t, n.AggMinutesRoundTo1, "HH:mm", i, r, a), this.setAttributes([
      this.Years,
      this.Quarters,
      this.Months,
      this.Weeks,
      this.Days,
      this.Hours,
      this.MinutesRoundTo30,
      this.MinutesRoundTo15,
      this.Minutes,
      this.Seconds,
      this.AggHours,
      this.AggMinutesRoundTo30,
      this.AggMinutesRoundTo15,
      this.AggMinutesRoundTo1
    ]);
  }
  /**
   * gets the element's ID
   */
  get id() {
    return this.expression;
  }
  setDimensions() {
  }
  setAttributes(e) {
    this._attributes = e;
  }
  /**
   * Gets the sort definition of this instance
   *
   * @returns The Sort definition of this instance
   */
  getSort() {
    return this._sort;
  }
  /**
   * Gets a sorted {@link Dimension} with the given definition
   *
   * @param sort - Sort definition
   * @returns An instance representing the sorted {@link Dimension} of this instance
   */
  sort(e) {
    return new M(this.name, this.expression, this.description, e, this.dataSource, this.composeCode);
  }
  /**
   * Gets a serializable representation of the element
   */
  serialize() {
    const e = super.serialize();
    return e.__serializable = "DimensionalDateDimension", e;
  }
  /**
   * Gets the JAQL representation of this instance
   *
   * @param nested - defines whether the JAQL is nested within parent JAQL statement or a root JAQL element
   */
  jaql(e) {
    const t = this[this.defaultLevel].jaql();
    return t.jaql.title = this.name, e ? t.jaql : t;
  }
}
function R(s) {
  const e = s.name || s.title, t = s.desc || s.description, i = s.expression || s.dim, r = c.parseType(s.dimtype || s.type), a = s.sort, m = s.dataSource;
  if (r == h.DateDimension)
    return new M(e, i, t, a, m);
  const l = Object.getOwnPropertyNames(s).map((u) => s[u]).filter((u) => h.isAttribute(u == null ? void 0 : u.type));
  if (l.length == 0)
    if (s.attributes) {
      let u;
      for (let g = 0; g < s.attributes.length; g++)
        u = s.attributes[g], l.push(new A(u.name, u.expression, u.type, u.description, u.sort, u.dataSource));
    } else
      i && l.push(new A(e, i, r, t, a, m));
  const d = Object.getOwnPropertyNames(s).map((u) => s[u]).filter((u) => h.isDimension(u == null ? void 0 : u.type));
  if (d.length == 0 && s.dimensions)
    for (let u = 0; u < s.dimensions.length; u++)
      d.push(R(s.dimensions[u]));
  const y = new c(e, i, l, d, r, t, a, m);
  return s.defaultAttribute && (y.defaultAttribute = l.find((u) => u.name === s.defaultAttribute)), y;
}
function q(s) {
  const e = s.name || s.title, t = s.expression || s.dim, i = s.desc || s.description, r = s.sort, a = s.dataSource;
  return new M(e, t, i, r, a);
}
export {
  c as D,
  q as a,
  M as b,
  R as c
};
