import { ReactNode } from 'react';
import { ChatContextDetails } from '../ai/api/types';
export interface ChatIdMapProviderProps {
    children: ReactNode;
}
export interface ChatIdStorage {
    saveChatId: (chatId: string, contextTitle: string, contextDetails?: ChatContextDetails) => void;
    getChatId: (contextTitle: string, contextDetails?: ChatContextDetails) => string | undefined;
}
export declare const ChatIdStorageContext: import("react").Context<ChatIdStorage>;
export declare const useChatIdStorage: () => ChatIdStorage;
export declare const ChatIdStorageProvider: ({ children }: ChatIdMapProviderProps) => import("react/jsx-runtime").JSX.Element;
