import { PropsWithChildren } from 'react';
import { type ChatRestApi } from './api/chat-rest-api';
import { CustomContextProviderProps } from '../types';
/** @internal */
export type CustomAiContext = {
    api?: ChatRestApi;
};
/** @internal */
export type CustomAiContextProviderProps = CustomContextProviderProps<CustomAiContext>;
/** @internal */
export declare function CustomAiContextProvider({ children, context, }: PropsWithChildren<CustomAiContextProviderProps>): import("react/jsx-runtime").JSX.Element;
