/// <reference types="react" />
type Props = {
    children: string | JSX.Element;
    align: 'left' | 'right';
    onClick?: () => void;
    disabled?: boolean;
    onMouseEnter?: () => void;
    onMouseLeave?: () => void;
    accessibleName?: string;
};
export default function ClickableMessage({ children, align, onClick, onMouseEnter, onMouseLeave, accessibleName, }: Props): import("react/jsx-runtime").JSX.Element;
export {};
