import type { NlqResponseData, ChatMessage } from './api/types';
/**
 * React hook that returns the last NLQ response from chat history
 *
 * @chatHistory [ChatMessage[]] - Parameters for the hook
 * @internal
 */
export declare const useLastNlqResponseFromHistory: (chatHistory?: ChatMessage[]) => NlqResponseData | null;
