import { CodeTemplates } from '../types.js';
/**
 * Code templates for different UI frameworks.
 *
 * A code template is made up of other code templates and placeholders.
 * This allows a code template to be reused in other code templates.
 * For example, a chart widget template can be reused in a dashboard template.
 *
 * @internal
 */
export declare const CODE_TEMPLATES: CodeTemplates;
