import { ChartDataOptions } from '../../types';
import { DataSource, Filter, FilterRelations } from '@sisense/sdk-data';
export type MembersFilterJaql = {
    members: string[];
};
export type FromNotEqualFilterJaql = {
    fromNotEqual: number;
};
export type FilterJaql = MembersFilterJaql | FromNotEqualFilterJaql;
export declare const stringifyProps: (props: object | string, indent?: number, wrapInQuotes?: boolean) => string;
export declare function stringifyDataOptions(dataOptions: ChartDataOptions): string;
export declare function stringifyDataSource(dataSource: DataSource | undefined, defaultDataSourceString?: string): string;
export declare function stringifyExtraImports(filters: Filter[] | FilterRelations, importMeasureFactory?: boolean): string;
