import { Attribute, Measure } from '@sisense/sdk-data';
import { ChartType } from '../types';
import { ChartDataOptions, ChartDataOptionsInternal, TableDataOptionsInternal, TableDataOptions, PivotTableDataOptions, PivotTableDataOptionsInternal } from './types';
export declare function translateChartDataOptions(chartType: ChartType, dataOptions: ChartDataOptions): ChartDataOptionsInternal;
export declare function getAttributes(dataOptions: ChartDataOptionsInternal, chartType: ChartType): Attribute[];
export declare function getMeasures(dataOptions: ChartDataOptionsInternal, chartType: ChartType): Measure[];
export declare function translateTableDataOptions(dataOptions: TableDataOptions): TableDataOptionsInternal;
/**
 * Translates pivot table data options to the internal structure.
 */
export declare function translatePivotTableDataOptions(dataOptions: PivotTableDataOptions): PivotTableDataOptionsInternal;
