import { DataTable } from '../chart-data-processor/table-processor';
import { CartesianChartData } from './types';
import { CartesianChartDataOptionsInternal, StyledMeasureColumn } from '../chart-data-options/types';
export declare const isForecastChart: (dataOptions: CartesianChartDataOptionsInternal) => boolean;
export declare const isTrendChart: (dataOptions: CartesianChartDataOptionsInternal) => boolean;
export declare const createForecastDataOptions: (dataOptions: CartesianChartDataOptionsInternal) => {
    rangeValues: StyledMeasureColumn[][];
    seriesValues: StyledMeasureColumn[];
    y: StyledMeasureColumn[];
    x: import("../chart-data-options/types").StyledColumn[];
    breakBy: import("../chart-data-options/types").StyledColumn[];
    seriesToColorMap?: import("..").ValueToColorMap | undefined;
};
export declare const advancedAnalyticsData: (dataOptions: CartesianChartDataOptionsInternal, dataTable: DataTable) => CartesianChartData;
