import { DataTable } from '../chart-data-processor/table-processor.js';
import { BoxplotChartData, ChartData } from './types.js';
import { BoxplotChartDataOptionsInternal } from '../chart-data-options/types.js';
/**
 * Creates data for box plot charts given chart data table and data options
 *
 * @param chartDataOptions - Data options for box plot chart
 * @param dataTable - Chart data table
 * @returns Box plot chart data
 */
export declare const boxplotData: (dataOptions: BoxplotChartDataOptionsInternal, dataTable: DataTable) => BoxplotChartData;
export declare function isBoxplotChartData(chartData: ChartData): chartData is BoxplotChartData;
