import { DataColorOptions } from './types';
export type DataStructureOperator<DataStructure extends {}, ColoredDataStructure extends {}> = {
    getValueFromDataStructure: (data: DataStructure) => number;
    applyColorToDataStructure: (data: DataStructure, color?: string) => ColoredDataStructure;
};
export type ColoringFunction<DataStructure extends {}, ColoredDataStructure extends {}> = (dataStructures: DataStructure[], colorOpts: DataColorOptions) => ColoredDataStructure[];
export declare const createDataColoringFunction: <DataStructure extends {}, ColoredDataStructure extends {}>(dsOperator: DataStructureOperator<DataStructure, ColoredDataStructure>) => ColoringFunction<DataStructure, ColoredDataStructure>;
