import { DataTable } from '../chart-data-processor/table-processor';
import { RangeChartData } from './types';
import { RangeChartDataOptionsInternal } from '../chart-data-options/types';
/**
 * Creates data for range charts given chart data table and data options
 *
 * @param dataOptions - Data options for range charts
 * @param dataTable - Chart data table
 * @returns range chart data
 */
export declare const rangeData: (dataOptions: RangeChartDataOptionsInternal, dataTable: DataTable) => RangeChartData;
