import { TFunction } from '@sisense/sdk-common';
import { BoxplotChartData } from '../chart-data/types';
import { BoxplotChartDataOptionsInternal } from '../chart-data-options/types';
import { HighchartsOptionsInternal } from './chart-options-service';
import { CompleteThemeSettings, OptionsWithAlerts } from '../types';
import { ChartDesignOptions } from './translations/types';
/**
 * Convert intermediate chart data, data options, and design options
 * into pure highcharts config data.
 */
export declare const getBoxplotChartOptions: (chartData: BoxplotChartData, chartDesignOptions: ChartDesignOptions, dataOptions: BoxplotChartDataOptionsInternal, translate: TFunction, themeSettings?: CompleteThemeSettings) => OptionsWithAlerts<HighchartsOptionsInternal>;
