import { Measure } from '@sisense/sdk-data';
import { HighchartsPoint } from '../types';
import { SisenseChartDataPoint } from '../sisense-chart/types';
import { ChartDataOptionsInternal, StyledColumn, StyledMeasureColumn } from '..';
export declare function getDataPointMetadata(dataOptionPath: string, dataOption: StyledColumn | StyledMeasureColumn): {
    measure?: Measure | undefined;
    attribute?: import("@sisense/sdk-data").Attribute | undefined;
    id: string;
    dataOption: StyledColumn | StyledMeasureColumn;
};
export declare function getDataPoint(point: HighchartsPoint, dataOptions: ChartDataOptionsInternal): SisenseChartDataPoint;
