import { RangeChartData } from '../chart-data/types';
import { ChartDesignOptions } from './translations/types';
import { ChartType, CompleteThemeSettings } from '../types';
import { RangeChartDataOptionsInternal } from '../chart-data-options/types';
import { TFunction } from '@sisense/sdk-common';
/**
 * Convert intermediate chart data, data options, and design options
 * into pure highcharts config data.
 *
 * @param chartData - the data for the chart in an intermediate format
 * @param chartType -
 * @param chartDesignOptions -
 * @param dataOptions -
 * @param themeSettings -
 * @param dateFormatter
 */
export declare const getRangeChartOptions: (chartData: RangeChartData, chartType: ChartType, chartDesignOptions: ChartDesignOptions, dataOptions: RangeChartDataOptionsInternal, translate: TFunction, themeSettings?: CompleteThemeSettings, dateFormatter?: ((date: Date, format: string) => string) | undefined) => import("../types").OptionsWithAlerts<import("./chart-options-service").HighchartsOptionsInternal>;
