import { CartesianChartDataOptionsInternal, ChartDataOptionsInternal } from '../../chart-data-options/types';
import { ChartStyleOptions, ChartType } from '../../types';
import { CartesianChartType, DesignOptions, SeriesDesignOptions } from '../translations/types';
export declare function prepareChartDesignOptions(chartType: ChartType, dataOptionsInternal: ChartDataOptionsInternal, styleOptions?: ChartStyleOptions): DesignOptions;
export declare function extendStyleOptionsWithDefaults(styleOptions: ChartStyleOptions, defaults: ChartStyleOptions): ChartStyleOptions;
/**
 * Get design options per series for cartesian charts
 */
export declare function getDesignOptionsPerSeries(dataOptionsInternal: CartesianChartDataOptionsInternal, chartType: CartesianChartType, styleOptions: ChartStyleOptions): Record<string, SeriesDesignOptions>;
