import { ChartDataOptionsInternal } from '../chart-data-options/types';
import { TooltipOptions } from '@sisense/sisense-charts';
export type TooltipSettings = TooltipOptions;
export type InternalSeriesNode = {
    val: number;
    name: string;
    parentNode?: InternalSeriesNode;
    color?: string;
};
export type InternalSeries = {
    series: {
        name: string;
        color: string;
    };
    x: string;
    y: number;
    point: {
        name: string;
        color: string;
        custom?: {
            number1?: number;
            string1?: string;
            xDisplayValue?: string;
        };
        node?: InternalSeriesNode;
    };
    percentage?: number;
    color?: string;
};
export declare const getTooltipSettings: (showDecimals: boolean | undefined, chartDataOptions: ChartDataOptionsInternal) => TooltipSettings;
