import { SeriesWithAlerts, CompleteThemeSettings } from '../../types';
import { SeriesType } from '../chart-options-service';
import { FunnelChartDesignOptions } from './design-options';
import { CategoricalChartData } from '../../chart-data/types';
import { CategoricalChartDataOptionsInternal } from '../../chart-data-options/types';
/**
 * Convert categorical chart data into renderable highcharts funnel series. *
 *
 * @param chartData
 * @param dataOptions
 * @param designOptions
 * @param themeSettings
 */
export declare const formatFunnelChartData: (chartData: CategoricalChartData, dataOptions: CategoricalChartDataOptionsInternal, designOptions: FunnelChartDesignOptions, themeSettings?: CompleteThemeSettings) => SeriesWithAlerts<SeriesType[]>;
