import { InternalSeries, TooltipSettings } from './tooltip-utils';
import { ScatterChartDataOptionsInternal } from '../../chart-data-options/types';
export interface ScatterTooltipElements {
    x: string;
    y: string;
    breakByPoint: string;
    breakByColor: string;
    size: string;
}
export interface ScatterCustomPointOptions {
    maskedX: string;
    maskedY: string;
    maskedBreakByPoint?: string;
    maskedBreakByColor?: string;
    maskedSize?: string;
}
export declare const spanSegment: (value: number | string, color?: string) => string;
export declare const tooltipWrapper: (content: string) => string;
export declare const tooltipSeparator: () => string;
export declare const tooltipFormatter: (ctx: InternalSeries, dataOptions: ScatterChartDataOptionsInternal) => string;
export declare const getScatterTooltipSettings: (dataOptions: ScatterChartDataOptionsInternal) => TooltipSettings;
