import { CategoricalChartData } from '../../../chart-data/types';
import { PointLabelObject } from '@sisense/sisense-charts';
import { CategoricalChartDataOptionsInternal } from '../../../chart-data-options/types';
import { SunburstChartDesignOptions } from '../design-options';
import { CompleteThemeSettings } from '../../../types';
export declare function prepareSunburstLevels(chartData: CategoricalChartData, dataOptions: CategoricalChartDataOptionsInternal, designOptions: SunburstChartDesignOptions, themeSettings?: CompleteThemeSettings): {
    level: number;
    dataLabels: {
        enabled: boolean;
        formatter(this: PointLabelObject): string;
    };
}[];
