import { CategoricalChartData } from '../../../chart-data/types';
import { CategoricalChartDataOptionsInternal } from '../../../chart-data-options/types';
import { CompleteThemeSettings } from '../../../types';
export declare const SUNBURST_ROOT_PARENT_ID = "SUNBURST_ROOT_PARENT_ID";
export declare function prepareSunburstDataItems(chartData: CategoricalChartData, dataOptions: CategoricalChartDataOptionsInternal, themeSettings?: CompleteThemeSettings): ({
    id: string;
    name: string;
    custom: {
        level: number;
        levelsCount: number;
    };
} | {
    color: any;
    name?: string | undefined;
    y?: number | null | undefined;
    x?: number | null | undefined;
    z?: number | null | undefined;
    marker?: {
        enabled?: boolean | undefined;
        isIsolatedPoint?: boolean | undefined;
        lineColor?: string | undefined;
        lineWidth?: number | undefined;
    } | undefined;
    selected?: boolean | undefined;
    sliced?: boolean | undefined;
    custom?: {
        [k: string]: unknown;
        number1?: number | undefined;
        string1?: string | undefined;
        level?: number | undefined;
        maskedBreakByPoint?: string | undefined;
        maskedBreakByColor?: string | undefined;
    } | undefined;
    value?: number | null | undefined;
    id?: string | undefined;
    drilldown?: string | undefined;
    parent?: string | undefined;
    low?: number | null | undefined;
    high?: number | null | undefined;
    trend?: {
        min: number;
        max: number;
        median: number;
        average: number;
    } | undefined;
})[];
