import { Attribute, Data, DataSource, Measure } from '@sisense/sdk-data';
import { ChartDataOptionsInternal } from '../../chart-data-options/types';
import { DataColumnNamesMapping } from '../../chart-data-options/validate-data-options';
import { ChartData } from '../../chart-data/types';
import { ChartType } from '../../types';
type UseChartDataPreparationProps = {
    dataSet: DataSource | Data | undefined;
    data: Data;
    chartDataOptions: ChartDataOptionsInternal;
    chartType: ChartType;
    attributes: Attribute[];
    measures: Measure[];
    dataColumnNamesMapping: DataColumnNamesMapping;
    onDataReady?: (data: Data) => Data;
};
export declare function useChartDataPreparation({ dataSet, data, chartDataOptions, chartType, attributes, measures, dataColumnNamesMapping, onDataReady, }: UseChartDataPreparationProps): ChartData | null;
export {};
