import { FeatureCollection as GeoJsonFeatureCollection } from 'geojson';
import { AreamapType } from '../../../../types.js';
/**
 * Hook to get geoJson from API or cache (LocalStorage)
 */
export declare const useGeoJson: (mapType: AreamapType) => {
    geoJson: GeoJsonFeatureCollection | undefined;
    error: Error | undefined;
};
