import type { ChartBuilder, SupportedChartType } from './types.js';
export declare const chartBuildersMap: {
    [K in SupportedChartType]: ChartBuilder<K>;
};
export declare function getChartBuilder<CT extends SupportedChartType>(chartType: CT): ChartBuilder<CT>;
