import { TypedDataOptionsInternal, TypedDesignOptions } from '../../types.js';
import { HighchartsOptionsInternal } from '../../../../chart-options-processor/chart-options-service';
import { TypedChartData } from '../../types.js';
import { BuildContext, HighchartBasedChartTypes, HighchartsOptionsBuilder } from '../types.js';
import { SisenseChartDataPointsEventHandler } from '../../../../sisense-chart/types';
import { SisenseChartDataPointEventHandler } from '../../../../sisense-chart/types';
import { BeforeRenderHandler } from '../../../../props';
export declare function buildHighchartsOptions<CT extends HighchartBasedChartTypes>({ highchartsOptionsBuilder: builder, chartData, dataOptions, designOptions, extraConfig, dataPointsEventHandlers, onBeforeRender, }: {
    highchartsOptionsBuilder: HighchartsOptionsBuilder<CT>;
    chartData: TypedChartData<CT>;
    dataOptions: TypedDataOptionsInternal<CT>;
    designOptions: TypedDesignOptions<CT>;
    dataPointsEventHandlers: {
        onDataPointClick?: SisenseChartDataPointEventHandler;
        onDataPointContextMenu?: SisenseChartDataPointEventHandler;
        onDataPointsSelected?: SisenseChartDataPointsEventHandler;
    };
    extraConfig: BuildContext<CT>['extraConfig'];
    onBeforeRender?: BeforeRenderHandler;
}): HighchartsOptionsInternal;
