import leaflet from 'leaflet';
import { ScattermapMarkers } from '../../../../types';
type MarkerStyle = {
    color: string;
    size: number;
    fill: Required<ScattermapMarkers>['fill'];
    blur?: boolean;
};
export type MarkerConfig = {
    coordinates: {
        lat: number;
        lng: number;
    };
    style: MarkerStyle;
};
export declare function createMarker({ coordinates, style }: MarkerConfig): leaflet.CircleMarker;
export declare function removeMarkers(markers: leaflet.CircleMarker[]): void;
export {};
