import { FilterRelations, type Filter } from '@sisense/sdk-data';
import { CommonFiltersOptions } from './types.js';
import { WidgetProps } from '../props.js';
import { BeforeMenuOpenHandler, OpenMenuFn } from '../common/components/menu/types.js';
/** @internal */
export declare const useCommonFilters: ({ initialFilters: initialCommonFiltersOrFilterRelations, openMenu, onBeforeMenuOpen, onFiltersChange, }?: {
    initialFilters?: Filter[] | FilterRelations | undefined;
    openMenu?: OpenMenuFn | undefined;
    onBeforeMenuOpen?: BeforeMenuOpenHandler | undefined;
    onFiltersChange?: ((filters: Filter[] | FilterRelations) => void) | undefined;
}) => {
    filters: Filter[] | FilterRelations;
    setFilters: (filtersOrFilterRelations: Filter[] | FilterRelations) => void;
    addFilter: (filter: Filter) => void;
    connectToWidgetProps: (widgetProps: WidgetProps, options?: CommonFiltersOptions) => WidgetProps;
};
