import { ReactNode } from 'react';
/**
 * Component that displays a loading overlay.
 * Overlay is active when query is executed within a chart.
 *
 * @param isVisible - visibility of the overlay.
 * @returns Child component wrapped in dynamic overlay.
 * @internal
 */
export declare const LoadingOverlay: ({ isVisible, children, }: {
    isVisible: boolean;
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
