/// <reference types="react" />
import { OpenMenuFn } from './types';
type MenuSettings = {
    openMenu: OpenMenuFn;
    closeMenu: () => void;
};
export declare const MenuContext: import("react").Context<MenuSettings | null>;
/**
 * Hook to get the menu context (menu API)
 *
 * @returns The menu context
 * @internal
 */
export declare const useMenuContext: () => MenuSettings | null;
export {};
