/**
 * A hook that returns a debounced version of the given value.
 * The value is updated only after the specified delay (`wait`), preventing frequent updates.
 */
export declare function useDebouncedValue<T>(value: T, wait: number): T;
