import { AnyObject } from '../../utils/utility-types';
/**
 * Merges the provided configuration with the default configuration.
 *
 * @param config - The configuration to merge with the default configuration.
 * @param defaults - The default configuration.
 * @returns The merged configuration.
 */
export declare const useDefaults: <Config extends AnyObject>(config: Config | undefined, defaults: Config) => Config;
