import { Ref } from 'react';
/**
 * Track whether an element is being hovered over.
 *
 * @privateRemarks Derived from https://github.com/uidotdev/usehooks/blob/dfa6623fcc2dcad3b466def4e0495b3f38af962b/index.js#L426.
 * @internal
 */
export declare const useHover: <T extends HTMLElement>() => [Ref<T>, boolean];
