import { HttpClient } from '@sisense/sdk-rest-client';
import { ErrorEventOptions, TrackingEventType, TrackingEventDetails } from '@sisense/sdk-tracking';
export declare const executeTracking: (eventType: TrackingEventType, eventPayload: TrackingEventDetails, httpClient: HttpClient, onTrackingEvent?: ((payload: TrackingEventDetails) => void) | undefined, isDebugMode?: boolean) => Promise<void>;
export declare const useTracking: () => {
    trackEvent: (eventType: TrackingEventType, eventPayload?: TrackingEventDetails, isDebugMode?: boolean) => Promise<void>;
    trackError: (options: ErrorEventOptions, isDebugMode?: boolean) => Promise<void>;
};
