import { EditableLayoutDropData } from '../../../../dashboard/components/editable-layout/types';
/**
 * Props for the DroppableZone component
 *
 * @internal
 */
type DroppableZoneProps = {
    /**
     * The unique identifier for the droppable zone
     */
    id: string;
    /**
     * The data for the droppable zone
     */
    data: EditableLayoutDropData;
};
/**
 * Renders a droppable zone component that allows drop operations.
 *
 * @internal
 */
export declare const DroppableZone: ({ id, data }: DroppableZoneProps) => import("react/jsx-runtime").JSX.Element;
export {};
