import { type Filter } from '@sisense/sdk-data';
interface JTDDashboardProps {
    dashboardOid: string;
    filters: Filter[];
    mergeTargetDashboardFilters: boolean;
    displayToolbarRow: boolean;
    displayFilterPane: boolean;
}
/**
 * JTD-specific Dashboard component that handles runtime filters
 * This component reuses DashboardById logic but is specifically designed for JTD use cases
 * @internal
 */
export declare const JTDDashboard: ({ dashboardOid, filters: runtimeFilters, mergeTargetDashboardFilters, displayToolbarRow, displayFilterPane, }: JTDDashboardProps) => import("react/jsx-runtime").JSX.Element;
export {};
