/// <reference types="react" />
export interface DashboardHeaderToolbarMenuItem {
    title: string;
    icon?: JSX.Element;
    ariaLabel?: string;
    onClick: () => void;
}
export interface UseDashboardHeaderToolbarProps {
    menuItems: DashboardHeaderToolbarMenuItem[];
}
/**
 * Hook that returns a toolbar element for dashboard header
 */
export declare const useDashboardHeaderToolbar: ({ menuItems }: UseDashboardHeaderToolbarProps) => {
    toolbar: () => import("react/jsx-runtime").JSX.Element;
};
export default useDashboardHeaderToolbar;
