import { WidgetsPanelLayout } from '../../models';
export type WidgetPanelLayoutManager = {
    manageLayout: (layout: WidgetsPanelLayout) => WidgetsPanelLayout;
    name: string;
};
type UseWidgetPanelLayoutManagement = ({ layout, layoutManagers, }: {
    layout: WidgetsPanelLayout;
    layoutManagers: WidgetPanelLayoutManager[];
}) => {
    layout: WidgetsPanelLayout;
    setLayout: (newLayout: WidgetsPanelLayout) => void;
};
export declare const useWidgetsLayoutManagement: UseWidgetPanelLayoutManagement;
export {};
