import { DataSource } from '@sisense/sdk-data';
import { AttributiveElement } from '../dimensions-browser/types.js';
type AddFilterDataBrowserProps = {
    dataSources: DataSource[];
    initialDataSource: DataSource;
    /**
     * Optional. If provided, the user will not be able to see these attributes in the data browser.
     */
    disabledAttributes?: AttributiveElement[];
    onAttributeClick: (attribute: AttributiveElement) => void;
};
/**
 * A component that allows users to select a data source and an attribute to create a filter.
 */
export declare const AddFilterDataBrowser: ({ initialDataSource, dataSources, disabledAttributes, onAttributeClick, }: AddFilterDataBrowserProps) => import("react/jsx-runtime").JSX.Element;
export {};
