import { Dimension } from '@sisense/sdk-data';
type DataSchemaBrowserProps = {
    dimensions: Dimension[];
    collapseAll?: boolean;
};
/**
 * A component that displays a list of dimensions and attributes for a given data source.
 *
 * @param params DataSchemaBrowserProps
 * @returns ReactElement
 * @internal
 */
export declare const DataSchemaBrowser: ({ dimensions, collapseAll }: DataSchemaBrowserProps) => import("react/jsx-runtime").JSX.Element;
export {};
