import { type FunctionComponent, type InputHTMLAttributes, CSSProperties } from 'react';
type BasicInputProps = {
    label?: string;
    callback: (value: string) => void;
    containerStyle?: CSSProperties;
    labelStyle?: CSSProperties;
    inputStyle?: CSSProperties;
} & InputHTMLAttributes<HTMLInputElement>;
export declare const BasicInput: FunctionComponent<BasicInputProps>;
export {};
