import { type ButtonHTMLAttributes, type FunctionComponent } from 'react';
export type ButtonProps = ButtonHTMLAttributes<HTMLButtonElement>;
export declare const PrimaryButton: FunctionComponent<ButtonProps>;
export declare const SecondaryButton: FunctionComponent<ButtonProps>;
export type ButtonWithTooltipProps = ButtonProps & {
    tooltipTitle: string;
    disableTooltip: boolean;
};
export declare const SecondaryButtonWithTooltip: FunctionComponent<ButtonWithTooltipProps>;
export declare const LinkButton: FunctionComponent<ButtonProps>;
