import dayjs from 'dayjs';
export type ButtonId = 'earliest' | 'today' | 'latest';
type QuickDateSelectionButtonsProps = {
    onDateSelected: (selectedDate: dayjs.Dayjs) => void;
    enabledButtons: ButtonId[];
    limit?: {
        maxDate?: dayjs.Dayjs;
        minDate?: dayjs.Dayjs;
    };
};
export declare const QuickDateSelectionButtons: (props: QuickDateSelectionButtonsProps) => import("react/jsx-runtime").JSX.Element;
export {};
