import React from 'react';
import { SelectItem } from './types';
import { ScrollWrapperOnScrollEvent } from '../../../../../filters/components/filter-editor-popover/common/scroll-wrapper';
import { Themable } from '../../../../../theme-provider/types';
type SearchableSingleSelectProps<Value> = {
    value?: Value;
    items: SelectItem<Value>[];
    width?: number | string;
    placeholder?: string;
    onChange?: (value: Value) => void;
    onListScroll?: (event: ScrollWrapperOnScrollEvent) => void;
    showListLoader?: boolean;
    showSearch?: boolean;
    onSearchUpdate?: (searchValue: string) => void;
};
/** @internal */
export declare const StyledSearchInput: import("@emotion/styled").StyledComponent<{
    placeholder?: string | undefined;
    onChange?: ((e: React.ChangeEvent<HTMLInputElement>) => void) | undefined;
    value?: string | undefined;
    style?: React.CSSProperties | undefined;
    inputStyle?: React.CSSProperties | undefined;
    inputRef?: ((input: HTMLInputElement) => void) | undefined;
    className?: string | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
} & Themable, {}, {}>;
/** @internal */
export declare function SearchableSingleSelect<Value = unknown>(props: SearchableSingleSelectProps<Value>): import("react/jsx-runtime").JSX.Element;
export {};
