import { CSSProperties } from 'react';
import { SelectItem } from './types';
type SingleSelectProps<Value> = {
    value?: Value;
    multiple?: boolean;
    items: SelectItem<Value>[];
    style?: CSSProperties;
    className?: string;
    onChange?: (value: Value) => void;
    primaryColor?: string;
    primaryBackgroundColor?: string;
};
/** @internal */
export declare function SingleSelect<Value = unknown>(props: SingleSelectProps<Value>): import("react/jsx-runtime").JSX.Element;
export {};
