import { TFunction } from '@sisense/sdk-common';
import { Filter } from '@sisense/sdk-data';
import { NumericConditionType, NumericConditionFilterData } from './types.js';
export declare function validateInputValue(value: string, t: TFunction): string | undefined;
export declare function getNumericFilterCondition(filter: Filter, initialCondition: NumericConditionType): NumericConditionType;
export declare function getNumericFilterValue(filter: Filter): string;
export declare function createConditionalFilter(baseFilter: Filter, data: NumericConditionFilterData): Filter | null;
