import { FilterRelationsDescription } from '../../../../utils/filter-relations';
import { TFunction } from '@sisense/sdk-common';
import { ReactNode } from 'react';
export declare function generateTooltipLines(filterRelationsDescription: FilterRelationsDescription, t: TFunction): ReactNode[];
/**
 * Recursively removes unnecessary "outermost" parentheses from the filter relations description.
 *
 * "Unnecessary" means a matching pair of open/close brackets that fully wraps
 * the entire expression, with no leftover operators or attributes outside.
 */
export declare function trimUnnecessaryBrackets(filterRelationsDescription: FilterRelationsDescription): FilterRelationsDescription;
