import { FunctionComponent } from 'react';
import { Member, SelectedMember } from './members-reducer';
export interface MemberListProps {
    members: Member[];
    selectedMembers: SelectedMember[];
    onSelectMember: (member: Member, isSelected: boolean) => void;
    checkAllMembers: () => void;
    uncheckAllMembers: () => void;
    excludeMembers: boolean;
    enableMultiSelection: boolean;
    disabled: boolean;
}
export declare const MemberList: FunctionComponent<MemberListProps>;
