import { FilterTileDesignOptions } from '../../filters/components/filter-tile-container';
import { Filter } from '@sisense/sdk-data';
export type UnsupportedFilterTileProps = {
    filter: Filter;
    design?: FilterTileDesignOptions;
    /** Filter delete callback */
    onDelete?: () => void;
    /** Filter edit callback */
    onEdit?: () => void;
};
/**
 * Filter tile component that renders an unsupported filter (which is not recognized by the JAQL to Filter translation)
 *
 * @internal
 */
export declare const UnsupportedFilterTile: ({ filter, design, onDelete, onEdit, }: UnsupportedFilterTileProps) => import("react/jsx-runtime").JSX.Element;
