import { Filter } from '@sisense/sdk-data';
import { CascadingFilterDto, FilterDto, LayoutDto } from '../../api/types/dashboard-dto';
import { WidgetsPanelLayout } from '../../dashboard/types';
/**
 * Translates a {@link Filter} to a {@link FilterDto}.
 *
 * @param filter - The filter to translate.
 * @returns FilterDto
 * @internal
 */
export declare function filterToFilterDto(filter: Filter): FilterDto | CascadingFilterDto;
export declare function layoutToLayoutDto(layout: WidgetsPanelLayout): LayoutDto;
