import { HttpClient } from '@sisense/sdk-rest-client';
import { HierarchyModel } from '../../models';
import { DataSource } from '@sisense/sdk-data';
import { GetHierarchiesOptions } from './types.js';
/**
 * Options for retrieving hierarchy models.
 */
export type GetHierarchyModelsOptions = GetHierarchiesOptions;
/** @internal */
export declare function getHierarchyModels(http: HttpClient, options: GetHierarchyModelsOptions, defaultDataSource?: DataSource): Promise<HierarchyModel[]>;
