import { ChartType, TableType } from '../types';
/**
 * This component displays `No Results` overlay for visualization (e.g., Chart, Table) with no data
 *
 * @param props - component properties
 * @param props.iconType - icon type related to chart or table
 * @returns A NoResultsOverlay component with specific icon
 * @internal
 */
export declare const NoResultsOverlay: ({ iconType }: {
    iconType: ChartType | TableType;
}) => import("react/jsx-runtime").JSX.Element;
