import type { PivotTableDataOptions } from '../../../chart-data-options/types.js';
import type { DateFormatter, HeaderCellFormatter } from '../types.js';
export declare const createHeaderCellValueFormatter: (dataOptions: PivotTableDataOptions, dateFormatter: DateFormatter) => HeaderCellFormatter;
/**
 * Formats the date time string.
 * If the date is invalid, it returns the original value.
 */
export declare function formatDatetimeString(value: string, dateFormatter: DateFormatter, dateFormat?: string): string;
