import { CompleteThemeSettings, PivotTableStyleOptions } from '../../types';
export type PivotStylingProps = {
    fontFamily?: string;
    textColor?: string;
    backgroundColor?: string;
    borderColor?: string;
    fillColor?: string;
    additionalFillColor?: string;
    fillOptions: {
        alternatingRows?: boolean;
        alternatingColumns?: boolean;
        columnsHeaders?: boolean;
        rowMembers?: boolean;
        totals?: boolean;
    };
    rowHeight?: number;
    isAutoHeight: boolean;
    navigationPrimaryColor?: string;
    navigationSecondaryColor?: string;
    selectionColor: string;
};
export declare function preparePivotStylingProps(styleOptions?: PivotTableStyleOptions, themeSettings?: CompleteThemeSettings): PivotStylingProps;
