import { DataService, PivotBuilder, PivotClient } from '@sisense/sdk-pivot-client';
/**
 * Hook that recreates a new data service when new jaql request is needed to sent
 * and updates the pivot builder with the new data service.
 */
export declare function usePivotDataService(options: {
    pivotClient: PivotClient;
    pivotBuilder: PivotBuilder;
    shouldBeRecreated: boolean;
}): DataService;
