import { PivotTableDataOptions, PivotTableDataOptionsInternal } from '../../chart-data-options/types.js';
import { PivotSortCriteria } from '../sorting-utils.js';
type UsePivotTableDataOptionsInternalResult = {
    dataOptionsInternal: PivotTableDataOptionsInternal;
    updateSort: (sortCriteria: PivotSortCriteria) => void;
};
/**
 * A hook that returns the JAQL request object from pivot table props.
 *
 * @internal
 */
export declare const usePivotTableDataOptionsInternal: ({ dataOptions, }: {
    dataOptions: PivotTableDataOptions;
}) => UsePivotTableDataOptionsInternalResult;
export {};
