import { ChartType } from '../types';
import { ChartRendererProps } from '../chart/types';
import { SisenseChartProps, SisenseChartType } from './types';
/**
 * @internal
 */
export declare const SisenseChart: ({ chartType, chartData, dataOptions, designOptions, onDataPointClick, onDataPointContextMenu, onDataPointsSelected, onBeforeRender, }: SisenseChartProps) => import("react/jsx-runtime").JSX.Element | null;
export declare const isSisenseChartType: (chartType: ChartType) => chartType is SisenseChartType;
export declare const isSisenseChartProps: (props: ChartRendererProps) => props is SisenseChartProps;
