import { Attribute, Data, DataSource, Filter, FilterRelationsJaql, Measure } from '@sisense/sdk-data';
import { TableDataOptionsInternal } from '../../chart-data-options/types';
type UseDataProps = {
    dataSet: Data | DataSource | undefined;
    dataOptions: TableDataOptionsInternal | null;
    filters: Filter[] | undefined;
    filterRelations: FilterRelationsJaql | undefined;
    count: number;
    offset: number;
};
export declare const getTableAttributesAndMeasures: (dataOptions: TableDataOptionsInternal) => {
    attributes: Attribute[];
    measures: Measure[];
};
export declare const useTableData: ({ dataSet, dataOptions: originalDataOptions, filters, filterRelations, count, offset, }: UseDataProps) => [Data | null, TableDataOptionsInternal | null];
export {};
