/// <reference types="react" />
import { CompleteThemeSettings } from '../types';
export declare const ThemeContext: import("react").Context<{
    themeSettings: CompleteThemeSettings;
}>;
/**
 * Hook to get the current theme settings.
 *
 * @returns The current theme settings
 * @internal
 */
export declare const useThemeContext: () => {
    themeSettings: CompleteThemeSettings;
};
