import React from 'react';
interface DrilldownBreadcrumbsThemeProps {
    popperParams?: {
        filterDisplayValues: string[];
        anchorEl: HTMLElement;
    } | null;
    currentDimension: {
        expression: string;
    };
    themeProps: ThemeProps;
}
interface ThemeProps {
    primaryTextColor: string;
    secondaryTextColor: string;
    fontFamily: string;
    backgroundColor: string;
    brandColor: string;
    primaryButtonTextColor: string;
    chartBackgroundColor: string;
    activeDrillBackgroundColor: string;
    activeDrillHoverBackgroundColor: string;
}
declare const DrillPopper: React.FC<DrilldownBreadcrumbsThemeProps>;
export default DrillPopper;
