import { type ReactNode } from 'react';
import { WidgetContainerStyleOptions } from '../../types';
interface WidgetContainerProps {
    dataSetName?: string;
    styleOptions?: WidgetContainerStyleOptions;
    title?: string;
    description?: string;
    topSlot?: ReactNode;
    bottomSlot?: ReactNode;
    children: ReactNode;
    onRefresh?: () => void;
}
/** @internal */
export declare const WidgetContainer: React.FC<WidgetContainerProps>;
/** @internal */
export declare const RawWidgetContainer: React.FC<WidgetContainerProps>;
export {};
