import React from 'react';
interface WidgetErrorsAndWarnings {
    errors: string[];
    warnings: string[];
    setErrors: React.Dispatch<React.SetStateAction<string[]>>;
    setWarnings: React.Dispatch<React.SetStateAction<string[]>>;
    clearError: () => void;
    clearWarning: () => void;
}
export declare const WidgetErrorsAndWarningsProvider: React.FC<{
    children: React.ReactNode;
}>;
export declare const useWidgetErrorsAndWarnings: () => WidgetErrorsAndWarnings;
export {};
