import { ChartDataOptions, ChartDataPoint, ChartDataPoints, ChartType, HighchartsOptions } from '../..';
export declare function useHighlightSelection({ chartType, dataOptions, enabled, }: {
    chartType: ChartType;
    dataOptions: ChartDataOptions;
    enabled: boolean;
}): {
    onBeforeRender: (options: HighchartsOptions) => HighchartsOptions;
    onDataPointsSelected: (dataPoints: ChartDataPoints) => void;
    onDataPointClick: (dataPoint: ChartDataPoint) => void;
};
