"use strict";var tt=Object.defineProperty,et=Object.defineProperties;var rt=Object.getOwnPropertyDescriptors;var j=Object.getOwnPropertySymbols;var it=Object.prototype.hasOwnProperty,at=Object.prototype.propertyIsEnumerable;var $=(t,e,r)=>e in t?tt(t,e,{enumerable:!0,configurable:!0,writable:!0,value:r}):t[e]=r,l=(t,e)=>{for(var r in e||(e={}))it.call(e,r)&&$(t,r,e[r]);if(j)for(var r of j(e))at.call(e,r)&&$(t,r,e[r]);return t},m=(t,e)=>et(t,rt(e));const n=require("./derive-chart-family-Cqw-HJq1.cjs");class P extends n.DimensionalElement{constructor(e,r){var i;super((i=e.jaql.title)!==null&&i!==void 0?i:"",r),this.expression=e.jaql.dim||e.jaql.formula,this.metadataItem=e,e.jaql.agg?this.aggregation=e.jaql.agg:delete this.aggregation,e.jaql.formula?this.formula=e.jaql.formula:delete this.formula,e.jaql.sort?this.sortType=n.getSortType(e.jaql.sort):delete this.sortType,this.skipValidation=!0}get id(){return this.expression}jaql(e){return e===!0?this.metadataItem.jaql:this.metadataItem}serialize(){const e=super.serialize();return e.__serializable="JaqlElement",e.metadataItem=this.metadataItem,e.type=this.type,e}}const st={text:n.MetadataTypes.TextAttribute,numeric:n.MetadataTypes.NumericAttribute,datetime:n.MetadataTypes.DateLevel};function nt(t){var e;return new P(t,(e=st[t.jaql.datatype])!==null&&e!==void 0?e:"numeric")}function B(t){const{jaql:e}=t;if(e.formula)return n.createCalculatedMeasureHelper(e);const r=n.DimensionalLevelAttribute.translateJaqlToGranularity(e);return"agg"in e&&e.dim&&e.datatype?n.createMeasureHelper({expression:e.dim,dataType:e.datatype,agg:e.agg||"",granularity:r,format:void 0,sort:e.sort,title:e.title,dataSource:e.datasource}):e.dim&&e.datatype?n.createAttributeHelper({expression:e.dim,dataType:e.datatype,granularity:r,sort:e.sort,title:e.title,panel:t.panel,dataSource:e.datasource}):nt(t)}const ot={jaql:{datasource:{title:"",type:"elasticube"},metadata:[]},queryTitle:"",chartRecommendations:{}},lt={model:"",metadata:[],chart:{},queryTitle:""},dt=t=>"widgetProps"in t,R=t=>"dashboardOid"in t&&"widgetOid"in t,ct=t=>"dashboardProps"in t,ut=t=>"dashboardOid"in t;function pt(t){return t.replace(/\s+/g,"-").replace(/([a-z])([A-Z])/g,"$1-$2").toLowerCase()}function mt(t){return t.charAt(0).toUpperCase()+t.slice(1)}function gt(t){const e=/\[(.+?)\s\(Calendar\)\]/;return t.replace(e,"[$1]").trim()}function yt(t){if(t)if(t.metadata){if(!t.model)throw new n.TranslatableError("errors.missingModelTitle")}else throw new n.TranslatableError("errors.missingMetadata");else throw new n.TranslatableError("errors.emptyModel");return t}function ft(t){return!t||!t.jaql.datasource.title||!t.jaql.metadata.length}function k(t){if(![...n.ALL_CHART_TYPES,"pivot","pivot2"].includes(t))throw new n.TranslatableError("errors.chartTypeNotSupported",{chartType:t})}function ht(t){return"widgetType"in t&&t.widgetType==="pivot"}function S(t){var e;return"column"in t&&((e=t.column)==null?void 0:e.expression)&&/\(.*\)/.test(t.column.expression)}function w(t){const e="measures"in t&&u(t.measures)||"values"in t&&u(t.values);return ht(t)?"values"in t.dataOptions&&u(t.dataOptions.values):"chartType"in t?t.chartType==="indicator"?"value"in t.dataOptions&&u(t.dataOptions.value)||"secondary"in t.dataOptions&&u(t.dataOptions.secondary):t.chartType==="table"?!("columns"in t.dataOptions)||!u(t.dataOptions.columns)?!1:t.dataOptions.columns.some(i=>S(i)):t.chartType==="boxplot"?!1:t.chartType==="scatter"?"x"in t.dataOptions&&t.dataOptions.x!==void 0&&S(t.dataOptions.x)||"y"in t.dataOptions&&t.dataOptions.y!==void 0&&S(t.dataOptions.y)||"size"in t.dataOptions&&t.dataOptions.size!==void 0:t.chartType==="scattermap"?"colorBy"in t.dataOptions&&t.dataOptions.colorBy!==void 0&&S(t.dataOptions.colorBy)||"details"in t.dataOptions&&t.dataOptions.details!==void 0&&S(t.dataOptions.details)||"size"in t.dataOptions&&t.dataOptions.size!==void 0&&S(t.dataOptions.size):t.chartType==="areamap"?"geo"in t.dataOptions&&u(t.dataOptions.geo)&&"color"in t.dataOptions&&u(t.dataOptions.color):"value"in t.dataOptions&&u(t.dataOptions.value):e}function u(t){return Array.isArray(t)&&t.length>0}function St(t){const e=t.split(`
`);for(let r=0;r<e.length-1;r++)if(e[r].trim()===""){const i=e[r+1].trim();if(i.startsWith("import *")||i.startsWith("import {")){e.splice(r,1);break}}return e.join(`
`)}const Ot={react:{baseChartTmpl:`import { {{componentString}} } from '@sisense/sdk-ui';
{{extraImportsString}}
import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli

export default function CodeExample() {
  return (
    <{{componentString}}
      title={'{{titleString}}'}
      dataSource={DM.DataSource}
      chartType={'{{chartTypeString}}'}
      dataOptions={ {{dataOptionsString}} }
      filters={ {{filtersString}} }
      styleOptions={ {{styleOptionsString}} }
      drilldownOptions={ {{drilldownOptionsString}} }
    />
  );
}`,chartTmpl:"{{baseChartTmpl}}",chartWidgetTmpl:"{{baseChartTmpl}}",chartWidgetPropsTmpl:`
    {
      id: '{{idString}}',
      widgetType: '{{widgetTypeString}}',
      title: '{{titleString}}',
      dataSource: DM.DataSource,
      chartType: '{{chartTypeString}}',
      dataOptions: {{dataOptionsString}},
      filters: {{filtersString}},
      styleOptions: {{styleOptionsString}},
      drilldownOptions: {{drilldownOptionsString}},
    }`,widgetByIdTmpl:`import { WidgetById } from '@sisense/sdk-ui';

const CodeExample = () => {
    return (
      <>
        <WidgetById
          widgetOid="{{widgetOid}}"
          dashboardOid="{{dashboardOid}}"
          includeDashboardFilters={true}
        />
      </>
    );
};

export default CodeExample;
`,executeQueryByWidgetIdTmpl:`import { useExecuteQueryByWidgetId } from '@sisense/sdk-ui';

const CodeExample = () => {
  const { data, isLoading, isError, error } = useExecuteQueryByWidgetId({
    widgetOid: "{{widgetOid}}",
    dashboardOid: "{{dashboardOid}}"
  });

  if (isLoading) {
    return <div>Loading...</div>;
  }
  if (isError) {
    return <div>Error: {error.message}</div>;
  }
  if (data) {
    return <div>Total Rows: {data.rows.length}</div>;
  }

  return null;
};

export default CodeExample;
`,executeQueryTmpl:`import { useExecuteQuery } from '@sisense/sdk-ui';
{{extraImportsString}}
import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli

const CodeExample = () => {
  const queryProps = {
    dataSource: DM.DataSource,
    dimensions: {{dimensionsString}},
    measures: {{measuresString}},
    filters: {{filtersString}},
    highlights: {{highlightsString}},
  }

  const { data, isLoading, isError, error } = useExecuteQuery(queryProps);

  if (isLoading) {
    return <div>Loading...</div>;
  }
  if (isError) {
    return <div>Error: {error.message}</div>;
  }
  if (data) {
    return <div>Total Rows: {data.rows.length}</div>;
  }

  return null;
};

export default CodeExample;
`,executePivotQueryTmpl:`import { useExecutePivotQuery, ExecutePivotQueryParams } from '@sisense/sdk-ui';
{{extraImportsString}}
import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli

const CodeExample = () => {
    const pivotQueryProps: ExecutePivotQueryParams = {
      dataSource: DM.DataSource,
      rows: {{rowsString}},
      values: {{valuesString}},
      filters: {{filtersString}},
    }

    const { data, isLoading, isError, error } = useExecutePivotQuery(pivotQueryProps);

    if (isLoading) {
      return <div>Loading...</div>;
    }
    if (isError) {
      return <div>Error: {error.message}</div>;
    }
    if (data) {
      return <div>Total Rows: {data.table.rows.length}</div>;
    }

    return null;
};

export default CodeExample;
`,pivotTableWidgetTmpl:`import { {{componentString}} } from '@sisense/sdk-ui';
{{extraImportsString}}
import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli

export default function CodeExample() {
  return (
    <{{componentString}}
      title={'{{titleString}}'}
      dataSource={DM.DataSource}
      dataOptions={ {{dataOptionsString}} }
      filters={ {{filtersString}} }
      styleOptions={ {{styleOptionsString}} }
    />
  );
}`,pivotTableWidgetPropsTmpl:`{
      id: '{{idString}}',
      widgetType: '{{widgetTypeString}}',
      title: '{{titleString}}',
      dataSource: DM.DataSource,
      dataOptions: {{dataOptionsString}},
      filters: {{filtersString}},
      styleOptions: {{styleOptionsString}},
    }`,dashboardByIdTmpl:`import { DashboardById } from '@sisense/sdk-ui';

const CodeExample = () => {
  return (
    <>
      <DashboardById dashboardOid="{{dashboardOid}}" />
    </>
  );
};

export default CodeExample;`,dashboardTmpl:`import { useMemo } from 'react';
import { Dashboard, DashboardProps, WidgetProps } from '@sisense/sdk-ui';
import { Filter, FilterRelations } from '@sisense/sdk-data';
{{extraImportsString}}
import * as DM from './{{defaultDataSourceString}}'; // generated with @sisense/sdk-cli

export default function CodeExample() {
  const dashboardProps: DashboardProps = useMemo(() => {
    const widgets: WidgetProps[] = {{widgetsString}};
    const filters: Filter[] | FilterRelations = {{filtersString}};

    return {
      title: '{{titleString}}',
      widgets,
      filters,
      config: {
        toolbar: { isVisible: true },
        filtersPanel: { isVisible: true },
      },
      widgetsOptions: {{widgetsOptionsString}},
      layoutOptions: {{layoutOptionsString}},
      tabbersOptions: {{tabbersOptionsString}},
      styleOptions: {{styleOptionsString}},
    };
  }, []);

  return (
    <Dashboard {...dashboardProps} />
  );
}`},angular:{baseChartTmpl:`import { Component } from '@angular/core';
import { type ChartDataOptions, type ChartStyleOptions } from '@sisense/sdk-ui-angular';
{{extraImportsString}}
import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli

@Component({
    selector: 'code-example',
    template: \`
      <csdk-chart-widget
        [title]="'{{titleString}}'"
        chartType='{{chartTypeString}}'
        [dataSource]='DM.DataSource'
        [dataOptions]='dataOptions'
        [filters]='filters'
        [styleOptions]='styleOptions'
        [drilldownOptions]='drilldownOptions'
      />
    \`
})
export class CodeExample {
    DM = DM;
    dataOptions: ChartDataOptions = {{dataOptionsString}};
    filters = {{filtersString}};
    styleOptions: ChartStyleOptions = {{styleOptionsString}};
    drilldownOptions = {{drilldownOptionsString}};
}`,chartTmpl:"{{baseChartTmpl}}",chartWidgetTmpl:"{{baseChartTmpl}}",chartWidgetPropsTmpl:`{
      id: '{{idString}}',
      widgetType: '{{widgetTypeString}}',
      title: '{{titleString}}',
      dataSource: DM.DataSource,
      chartType: '{{chartTypeString}}',
      dataOptions: {{dataOptionsString}},
      filters: {{filtersString}},
      styleOptions: {{styleOptionsString}},
      drilldownOptions: {{drilldownOptionsString}},
    }`,widgetByIdTmpl:`import { Component } from '@angular/core';

@Component({
  selector: 'code-example',
  template: \`
    <csdk-widget-by-id
      [widgetOid]="widgetOid"
      [dashboardOid]="dashboardOid"
      [includeDashboardFilters]="includeDashboardFilters"
    />
  \`,
})

export class CodeExample {
  widgetOid = "{{widgetOid}}";
  dashboardOid = "{{dashboardOid}}";
  includeDashboardFilters = true;
}`,executeQueryByWidgetIdTmpl:`import { Component } from '@angular/core';
import { QueryService } from '@sisense/sdk-ui-angular';
import { type QueryResultData } from '@sisense/sdk-data';

@Component({
  selector: 'code-example',
  template: \`<div>
    <div *ngIf="errorMessage">Error: {{ errorMessage }}</div>
    <div *ngIf="!errorMessage">Total Rows: {{ queryResult.rows.length }}</div>
  </div>\`,
})

export class CodeExample {
    queryResult: QueryResultData = { rows: [], columns: [] };

    errorMessage: string | null = null;

    constructor(private queryService: QueryService) {}

    async ngOnInit(): Promise<void> {
      try {
        const { data } = await this.queryService.executeQueryByWidgetId({
          widgetOid: "{{widgetOid}}",
          dashboardOid: "{{dashboardOid}}",
        });
        this.queryResult = data as QueryResultData;
      } catch(error: unknown) {
        if (error instanceof Error) {
          this.errorMessage = error.message;
        }
      }
    }
}
`,executeQueryTmpl:`import { Component } from '@angular/core';
{{extraImportsString}}
import { type QueryResultData } from '@sisense/sdk-data';
import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli
import { QueryService } from '@sisense/sdk-ui-angular';

@Component({
  selector: 'code-example',
  template: \`<div>
    <div *ngIf="errorMessage">Error: {{ errorMessage }}</div>
    <div *ngIf="!errorMessage">Total Rows: {{ queryResult.rows.length }}</div>
  </div>\`,
})

export class CodeExample {
    queryResult: QueryResultData = { rows: [], columns: [] };

    errorMessage: string | null = null;

    constructor(private queryService: QueryService) {}

    async ngOnInit(): Promise<void> {
      const queryProps = {
        dataSource: DM.DataSource,
        dimensions: {{dimensionsString}},
        measures: {{measuresString}},
        filters: {{filtersString}},
        highlights: {{highlightsString}},
      }

      try {
        const { data } = await this.queryService.executeQuery(queryProps);
        this.queryResult = data as QueryResultData;
      } catch (error: unknown) {
        if (error instanceof Error) {
          this.errorMessage = error.message;
        }
      }
    }
}
`,executePivotQueryTmpl:"Not implemented yet",pivotTableWidgetTmpl:"Not implemented yet",pivotTableWidgetPropsTmpl:`{
      id: '{{idString}}',
      widgetType: '{{widgetTypeString}}',
      title: '{{titleString}}',
      dataSource: DM.DataSource,
      dataOptions: {{dataOptionsString}},
      filters: {{filtersString}},
      styleOptions: {{styleOptionsString}},
    }`,dashboardByIdTmpl:`import { Component } from '@angular/core';

@Component({
  selector: 'code-example',
  template: \`
    <csdk-dashboard-by-id
      [dashboardOid]="dashboardOid"
    />
  \`,
})

export class CodeExample {
  dashboardOid = "{{dashboardOid}}";
}`,dashboardTmpl:"/** COMING SOON */"},vue:{baseChartTmpl:`<script setup lang="ts">
  import { ref } from 'vue';
  import { {{componentString}}, type ChartStyleOptions } from '@sisense/sdk-ui-vue';
  {{extraImportsString}}
  import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli

  const dataOptions = ref({{dataOptionsString}});
  const filters = ref({{filtersString}});
  const styleOptions = ref<ChartStyleOptions>({{styleOptionsString}});
  const drilldownOptions = ref({{drilldownOptionsString}});
<\/script>

<template>
  <{{componentString}}
    chartType="{{chartTypeString}}"
    :dataOptions="dataOptions"
    :filters="filters"
    :styleOptions="styleOptions"
    :drilldownOptions="drilldownOptions"
    :dataSource="DM.DataSource"
    title="{{titleString}}" />
</template>`,chartTmpl:"{{baseChartTmpl}}",chartWidgetTmpl:"{{baseChartTmpl}}",chartWidgetPropsTmpl:`{
      id: '{{idString}}',
      widgetType: '{{widgetTypeString}}',
      title: '{{titleString}}',
      dataSource: DM.DataSource,
      chartType: '{{chartTypeString}}',
      dataOptions: {{dataOptionsString}},
      filters: {{filtersString}},
      styleOptions: {{styleOptionsString}},
      drilldownOptions: {{drilldownOptionsString}},
    }`,widgetByIdTmpl:`<script setup lang="ts">
import { WidgetById } from '@sisense/sdk-ui-vue';
<\/script>
<template>
  <WidgetById
    :widgetOid="'{{widgetOid}}'"
    :dashboardOid="'{{dashboardOid}}'"
  />
</template>
`,executeQueryByWidgetIdTmpl:`<script setup lang="ts">
import { useExecuteQueryByWidgetId } from '@sisense/sdk-ui-vue';

const { data, isLoading, isError, error } = useExecuteQueryByWidgetId({
  widgetOid: "{{widgetOid}}",
  dashboardOid: "{{dashboardOid}}"
});
<\/script>
<template>
  <div>
    <div v-if="isLoading">Loading...</div>
    <div v-else-if="isError">Error: {{error.message}}</div>
    <div v-else-if="data">Total Rows: {{data.rows.length}}</div>
  </div>
</template>
`,executeQueryTmpl:`<script setup lang="ts">
import { useExecuteQuery } from '@sisense/sdk-ui-vue';
{{extraImportsString}}
import * as DM from './{{dataSourceString}}'; // generated with @sisense/sdk-cli

const queryProps = {
  dataSource: DM.DataSource,
  dimensions: {{dimensionsString}},
  measures: {{measuresString}},
  filters: {{filtersString}},
  highlights: {{highlightsString}},
}
const { data, isLoading, isError, error } = useExecuteQuery(queryProps);
<\/script>
<template>
  <div>
    <div v-if="isLoading">Loading...</div>
    <div v-else-if="isError">Error: {{error.message}}</div>
    <div v-else-if="data">Total Rows: {{data.rows.length}}</div>
  </div>
</template>`,executePivotQueryTmpl:"Not implemented yet",pivotTableWidgetTmpl:"Not implemented yet",pivotTableWidgetPropsTmpl:`{
      id: '{{idString}}',
      widgetType: '{{widgetTypeString}}',
      title: '{{titleString}}',
      dataSource: DM.DataSource,
      dataOptions: {{dataOptionsString}},
      filters: {{filtersString}},
      styleOptions: {{styleOptionsString}},
    }`,dashboardByIdTmpl:`<script setup lang="ts">
import { DashboardById } from '@sisense/sdk-ui-vue';
<\/script>
<template>
  <DashboardById :dashboardOid="'{{dashboardOid}}'" />
</template>`,dashboardTmpl:"/** COMING SOON */"}},F=(t,e)=>Ot[e][t].replace(/{{(.*?)Tmpl}}/g,(i,a)=>F(`${a}Tmpl`,e)),_=(t,e)=>t.replace(/{{(.*?)}}/g,(r,i)=>i in e?e[i]:(console.warn(`Placeholder ${i} not found in data`),r)),C=(t,e,r="react")=>{const i=F(t,r);return St(_(i,e))},Tt=()=>Object.values(n.AggregationTypes).map(e=>n.DimensionalBaseMeasure.aggregationToJAQL(e)).join("|"),N=t=>{const{formula:e,context:r,filter:i}=t;if(!r||!e)return t;const a=Object.keys(r);if(a.length!==1)return t;const s=a[0];if(typeof s!="string")return t;const o=r[`${s}`],g=Tt(),d=new RegExp(`^\\s*(${g})\\(\\[\\w+\\]\\)$`),f=e.match(d);if(f&&e.includes(s)){const c=f[1];return l({dim:o.dim,table:o.table,column:o.column,datatype:o.datatype,agg:c,title:t.title},i?{filter:l({},i)}:{})}return t},D=t=>{let e=t;if("formula"in t&&(e=N(t)),"context"in e){const r=l({},e.context);Object.keys(r).forEach(i=>{r[`${i}`]=D(r[`${i}`])}),e.context=r}return e},bt=t=>{var i;const e=t;if(e.panel!=="scope")return e;const{jaql:r}=e;return(i=r.filter)!=null&&i.by&&(r.filter.by=N(r.filter.by)),m(l({},e),{jaql:r})},z=t=>{let e=t;e=bt(e);const{jaql:r,measure:i,by:a}=e;return l(l(m(l({},e),{jaql:D(r)}),a?{by:D(a)}:{}),i?{measure:D(i)}:{})},O=6,x=`
`,M="UNKNOWN",vt=(t,e)=>{let r="";return r+=`measureFactory.customFormula(
`,r+=" ".repeat(e),r+=`  '${n.escapeSingleQuotes(t.title)}',
`,r+=" ".repeat(e),r+=`  '${t.formula}',
`,r+=" ".repeat(e),r+=`  {
`,Object.entries(t.context).forEach(([i,a])=>{const s=n.normalizeAttributeName(a.table||M,a.column||M,void 0,"DM");r+=" ".repeat(e),r+=`    '${i.slice(1,-1)}': ${s},
`}),r+=" ".repeat(e),r+=`  }
`,r+=" ".repeat(e),r+=")",r},Et=t=>{const{level:e,table:r,column:i,agg:a,title:s}=t;let o;return r&&i&&(o=n.normalizeAttributeName(r,i,e,"DM")),a&&r&&i&&s&&(o=`measureFactory.${n.DimensionalBaseMeasure.aggregationFromJAQL(a)}(${o}, '${n.escapeSingleQuotes(s)}')`),o||M},xt=(t,e)=>{const r=t.jaql(!1).jaql;return"formula"in r?vt(r,e):Et(r)},p=(t,e=0,r=!1)=>{if(!t)return"";if(typeof t=="string")return`'${n.escapeSingleQuotes(t)}'`;if(t instanceof P)return xt(t,e);if(t instanceof n.DimensionalElement)return t.composeCode||"";let i="";return Array.isArray(t)?i+=`[${t.map(a=>p(a,e+2))}${t.length?x+" ".repeat(e+2):""}]`:(i+=`{${x}`,Object.entries(t).forEach(([a,s])=>{r&&typeof a=="string"&&(a=`'${n.escapeSingleQuotes(a)}'`),i+=" ".repeat(e+2),Array.isArray(s)?i+=`${a}: [${s.map(o=>p(o,e+4,r))}${s.length?x+" ".repeat(e+2):""}]`:typeof s=="object"&&s!==null?i+=`${a}: ${p(s,e+2,r)}`:["number","boolean","undefined"].includes(typeof s)||s===null?i+=`${a}: ${s}`:typeof s=="string"?i+=`${a}: '${n.escapeSingleQuotes(s)}'`:i+=`${a}: ${s}`,i+=`,${x}`}),i+=" ".repeat(e),i+="}"),i};function Dt(t){return p(t,O)}function I(t,e="data-source-placeholder"){if(!t)return e;const r=typeof t=="object"&&"title"in t?t.title:t;return pt(r)}function W(t,e=!0){const r=[];return e&&r.push("measureFactory"),u(t)&&r.push("filterFactory"),r.length>0?`import { ${r.join(", ")} } from '@sisense/sdk-data';`:""}const L=`
`,Ct=(t,e)=>{if(t.composeCode)return`${L}${" ".repeat(e)}${t.composeCode}`;const r=t.jaql().jaql;return`${L}${" ".repeat(e)}filterFactory.customFilter(${p(r,e,!0)})`},wt=(t,e=0)=>{if(!t)return"";let r="";return r+=`[${t.map(i=>Ct(i,e+2))}${t.length?`
`+" ".repeat(e+2):""}]`,r},q=t=>t?Array.isArray(t)?wt(t,6):"/** Filter relations not supported yet */":"[]",Mt=["executeQueryByWidgetIdTmpl","widgetByIdTmpl"],It="chartWidgetTmpl",Wt="pivotTableWidgetTmpl",qt=t=>t,Pt=({dashboardOid:t,widgetOid:e,uiFramework:r="react",chartType:i="table",includeChart:a=!0})=>{k(i);const s={dashboardOid:t,widgetOid:e},o=Mt[Number(a)];return C(o,s,r)},Y=(t,e,r)=>{if(n.isChartWidgetProps(t)){k(t.chartType);const i=w(t),a={idString:t.id,widgetTypeString:"chart",titleString:t.title,dataSourceString:I(t.dataSource),chartTypeString:qt(t.chartType),dataOptionsString:Dt(t.dataOptions),filtersString:q(t.filters),componentString:"ChartWidget",extraImportsString:W(t.filters||[],i),styleOptionsString:p(t.styleOptions||{},O),drilldownOptionsString:p(t.drilldownOptions||{},O)};return C(r.chart,a,e)}if(n.isPivotTableWidgetProps(t)){const i=w(t),a={idString:t.id,widgetTypeString:"pivot",titleString:t.title,dataSourceString:I(t.dataSource),dataOptionsString:p(t.dataOptions),filtersString:q(t.filters),componentString:"PivotTableWidget",extraImportsString:W(t.filters||[],i),styleOptionsString:p(t.styleOptions||{},O)};return C(r.pivot,a,e)}if(n.isCustomWidgetProps(t))return"/** Custom widget code not supported yet */";throw new n.TranslatableError("errors.otherWidgetTypesNotSupported")},jt=({widgetProps:t,uiFramework:e="react"})=>Y(t,e,{chart:It,pivot:Wt}),$t=t=>"chartType"in t.chartRecommendations?t.chartRecommendations:{chartType:"table",chartFamily:"table",axesMapping:{}},Lt=t=>({dataOptions:{columns:t.map(B)}}),Qt=Object.freeze({convolution:{enabled:!0,selectedConvolutionType:"bySlicesCount",independentSlicesCount:7},lineWidth:{width:"bold"},markers:{enabled:!1},legend:{enabled:!1},yAxis:{gridLines:!1},xAxis:{gridLines:!1}}),Q=Object.freeze({line:"line/spline",pie:"pie/donut",bar:"bar/stacked",column:"column/stackedcolumn"}),J=(t,e,r)=>{const i=t.reduce((s,o)=>(s[o.jaql.title]=o,s),{}),a=Object.entries(r).reduce((s,o)=>{const[g,d]=o;return s[`${g}`]=Array.isArray(d)?d.map(f=>{var T,b;const c=n.normalizeAnyColumn(f);delete c.enabled;const y=i[c.column.name];if(!y)return{column:{type:"",name:c.column.name}};const h=B(y);if(y.panel==="measures")return m(l({},c),{column:h});if(n.isDatetime(h.type)){const v=(b=(T=y.format)==null?void 0:T.mask)==null?void 0:b[y.jaql.level];if(v)return m(l({},c),{column:h,dateFormat:v})}return m(l({},c),{column:h})}):d,s},{});switch(e){case"cartesian":return l({category:[],value:[],breakBy:[]},a);case"categorical":return l({category:[],value:[]},a);case"scatter":return Object.keys(a).forEach(s=>{a[`${s}`]=a[`${s}`][0]}),a;case"scattermap":return Object.keys(a).forEach(s=>{s!=="geo"&&(a[`${s}`]=a[`${s}`][0])}),a;case"table":return Object.keys(a).length===0?Lt(t).dataOptions:a;case"boxplot":case"areamap":case"indicator":default:return a}},A=(t,e)=>{var r,i,a,s;return e==="x"?(i=(r=t.category)!=null?r:t.x)==null?void 0:i.map(o=>n.normalizeAnyColumn(o).column.name).join(", "):(s=(a=t.value)!=null?a:t.y)==null?void 0:s.map(o=>n.normalizeAnyColumn(o).column.name).join(", ")},U=(t,e,r,i)=>{let a;return i&&t in Q?a=n.merge(n.merge(Qt,{subtype:Q[`${t}`]}),{legend:{enabled:!0,position:"right"},yAxis:{title:{enabled:!0,text:A(e,"y")}},xAxis:{title:{enabled:!0,text:A(e,"x")}}},r):a=n.merge(n.getDefaultStyleOptions(),r),a},K=(t,e,r=!0)=>{const{chartFamily:i,chartType:a,axesMapping:s={},styleOptions:o={}}=e,g=J(t,i,s),d=U(a,s,o,r);return{dataOptions:g,chartStyleOptions:d}},At=t=>"chartType"in t?t:{chartType:"table",chartFamily:"table",axesMapping:{}},Bt=t=>t.map(e=>n.createFilterFromJaql(e.jaql)),Rt=t=>t.reduce((e,r)=>{if((r.panel==="scope"||r.jaql.filter)&&e.metadataFilters.push(n.cloneDeep(r)),r.panel!=="scope"){const i=n.cloneDeep(r);delete i.jaql.filter,e.metadataColumns.push(i)}return e},{metadataColumns:[],metadataFilters:[]}),kt=(t,e)=>{if(!ft(t))try{const{useCustomizedStyleOptions:r=!1}=e||{},{jaql:i,chartRecommendations:a,queryTitle:s}=t,{metadata:o,datasource:g}=i,d=m(l({},g),{type:g.type||"elasticube"}),f=n.convertJaqlDataSourceForDto(d),c=o.map(E=>z(E)).map(E=>m(l({},E),{jaql:m(l({},E.jaql),{datasource:f})})),y=At(a),h=y.chartType.toLowerCase(),T={cornerRadius:"Small",header:{renderToolbar:()=>null}},{metadataColumns:b,metadataFilters:v}=Rt(c),H=Bt(v),{dataOptions:G,chartStyleOptions:X}=K(b,y,r),Z=l(l({},X),T);return{widgetType:"chart",id:s,title:s,chartType:h,dataSource:d,dataOptions:G,filters:H,styleOptions:Z}}catch(r){console.error(r);return}},V=(t,e)=>kt(t,e),Ft=t=>R(t)?Pt(t):jt(t),_t=Object.freeze(Object.defineProperty({__proto__:null,toWidgetCode:Ft,toWidgetProps:V},Symbol.toStringTag,{value:"Module"}));exports.CODE_TEMPLATES_INDENT=O;exports.EMPTY_EXPANDED_QUERY_MODEL=ot;exports.EMPTY_SIMPLE_QUERY_MODEL=lt;exports.JaqlElement=P;exports.capitalizeFirstLetter=mt;exports.checkIfMeasuresExist=w;exports.generateCode=C;exports.getChartDataOptions=J;exports.getChartOptions=K;exports.getChartRecommendationsOrDefault=$t;exports.getChartStyleOptions=U;exports.getWidgetCode=Y;exports.isByIdDashboardCodeParams=ut;exports.isByIdWidgetCodeParams=R;exports.isClientSideDashboardCodeParams=ct;exports.isClientSideWidgetCodeParams=dt;exports.populatePlaceholders=_;exports.sanitizeDimensionId=gt;exports.simplifyMetadataItem=z;exports.stringifyDataSource=I;exports.stringifyExtraImports=W;exports.stringifyFilters=q;exports.stringifyProps=p;exports.toWidgetProps=V;exports.validateQueryModel=yt;exports.widgetComposer=_t;
