import { ReactNode } from 'react';
import { ChatRestApi } from './chat-rest-api';
/**
 * Exported for testing purposes only.
 *
 * @internal
 */
export declare const ChatApiContext: import("react").Context<ChatRestApi | undefined>;
export declare const useChatApi: () => ChatRestApi | undefined;
/**
 * React component that initializes the necessary wrappers to enable API calls and caching.
 *
 * @internal
 */
export declare const ChatApiProvider: ({ children, volatile, }: {
    children: ReactNode;
    volatile?: boolean | undefined;
}) => import("react/jsx-runtime").JSX.Element;
