import SuperJSON, { SuperJSONResult } from 'superjson';
/**
 * Utility to stringify and parse CSDK JS objects to JSON and vice versa.
 * JS objects can contain class instances of dimensional elements (e.g., attributes/dimensions, measures, filters).
 *
 * The utility uses `superjson` under the hood.
 *
 * @internal
 */
export declare const CustomSuperJSON: typeof SuperJSON;
/**
 * Type alias for the result of the `CustomSuperJSON` utility.
 *
 * @internal
 */
export type CustomSuperJSONResult = SuperJSONResult;
