import { ExecuteQueryCodeParams, ExecutePivotQueryCodeParams } from '../types.js';
/**
 * Converts query params to CSDK code.
 *
 * @param queryParams - queryParams params
 * @returns CSDK code string
 */
export declare const toExecuteQueryCode: (executeQueryCodeParams: ExecuteQueryCodeParams) => string;
/**
 * Converts pivot query params to CSDK code.
 *
 * @param executePivotQueryCodeParams - pivotQuery params
 * @returns CSDK code string
 */
export declare const toExecutePivotQueryCode: (executePivotQueryCodeParams: ExecutePivotQueryCodeParams) => string;
