import { AbsoluteColoringFunction } from '.';
import { ConditionalDataColorOptions } from '../../types';
/**
 * Retrieves the conditional coloring function based on the provided color options.
 *
 * @param colorOpts - The color options for conditional coloring.
 * @returns The conditional coloring function.
 */
export declare function getConditionalColoringFunction(colorOpts: ConditionalDataColorOptions): AbsoluteColoringFunction;
