import { CalculatedMeasureColumn, Column, MeasureColumn } from '@sisense/sdk-data';
import { BoxplotChartDataOptions, BoxplotChartCustomDataOptions, BoxplotChartDataOptionsInternal, StyledColumn, BoxWhiskerType, StyledMeasureColumn } from './types';
export declare const generateBoxplotValues: (targetValue: Column | StyledColumn, boxType: BoxWhiskerType, outliersEnabled: boolean) => {
    values: (StyledMeasureColumn | MeasureColumn | CalculatedMeasureColumn)[];
    outliers: Column | StyledColumn | undefined;
};
export declare const translateBoxplotDataOptions: (boxplotDataOptions: BoxplotChartDataOptions | BoxplotChartCustomDataOptions) => BoxplotChartDataOptionsInternal;
