import { TFunction } from '@sisense/sdk-common';
declare const TrendTypesFromExpression: {
    smooth: string;
    linear: string;
    local: string;
    logarithmic: string;
};
type TrendToolipProps = {
    x1Value?: string;
    x2Value?: string;
    modelType: keyof typeof TrendTypesFromExpression | string;
    title: string;
    trendData: {
        min: string;
        max: string;
        median: string;
        average: string;
    };
    localValue: string;
    translate?: TFunction;
};
export default function TrendToolip(props: TrendToolipProps): import("react/jsx-runtime").JSX.Element;
export declare const renderTrendTooltipString: (props: TrendToolipProps) => string;
export {};
