import { BoxplotChartData } from '../../../chart-data/types';
import { Axis, AxisSettings } from '../axis-section';
import { StyledColumn, StyledMeasureColumn } from '../../../chart-data-options/types';
export declare const commonColor = "#d1d1d7";
export declare const calculateYAxisMinMax: (chartData: BoxplotChartData) => {
    min: number;
    max: number;
};
export declare const getBoxplotXAxisSettings: (axis: Axis, categories: string[], axisDataOption?: StyledColumn) => AxisSettings[];
export declare const getBoxplotYAxisSettings: (axis: Axis, chartData: BoxplotChartData, axisDataOption?: StyledMeasureColumn) => AxisSettings[];
