import { CompleteNumberFormatConfig, NumberFormatConfig } from '../../types';
/**
 * Returns a complete NumberFormatConfig object with default values for missing properties.
 *
 * @param partialConfig - A partial NumberFormatConfig object with props to rewrite default ones.
 */
export declare const getCompleteNumberFormatConfig: (partialConfig?: NumberFormatConfig) => CompleteNumberFormatConfig;
export declare const applyFormatStaticMarkup: (config: CompleteNumberFormatConfig, value: number) => string;
export declare const applyFormat: (config: CompleteNumberFormatConfig, value: number) => string;
export declare const applyFormatPlainText: (config: CompleteNumberFormatConfig, value: number) => string;
