import { SeriesWithAlerts, CompleteThemeSettings } from '../../types';
import { CategoricalChartDataOptionsInternal } from '../../chart-data-options/types';
import { SeriesType } from '../chart-options-service';
import { PieChartDesignOptions } from './design-options';
import { CategoricalChartData } from '../../chart-data/types';
type FormattedPieChartData = SeriesWithAlerts<SeriesType[]> & {
    convolutionSeries: SeriesType[];
};
/**
 * Convert categorical chart data into renderable highcharts pie series.
 *
 * @param chartData
 * @param dataOptions
 * @param designOptions
 * @param themeSettings
 */
export declare const formatCategoricalChartData: (chartData: CategoricalChartData, dataOptions: CategoricalChartDataOptionsInternal, designOptions: PieChartDesignOptions, themeSettings?: CompleteThemeSettings) => FormattedPieChartData;
export {};
