import { ScatterCategories } from '../../chart-data/types';
import { ScatterChartDataOptionsInternal, StyledColumn, StyledMeasureColumn } from './../../chart-data-options/types';
import { Axis, AxisSettings } from './axis-section';
export declare const commonColor = "#d1d1d7";
export declare function scatterFormatter(axisAttribute: StyledColumn | StyledMeasureColumn | undefined, value: string | number, categories: (string | number)[] | undefined): string;
export declare const getScatterXAxisSettings: (xAxis: Axis, categories: ScatterCategories, scatterDataOptions: ScatterChartDataOptionsInternal) => AxisSettings[];
export declare const getScatterYAxisSettings: (yAxis: Axis, categories: ScatterCategories, scatterDataOptions: ScatterChartDataOptionsInternal) => AxisSettings[];
