import { ScatterChartDataOptionsInternal } from '../../chart-data-options/types';
import { PlotOptions } from '../chart-options-service';
import { ScatterChartDesignOptions } from './design-options';
import { InternalSeries } from './tooltip-utils';
import { ScatterCustomPointOptions } from './scatter-tooltip';
export type ScatterMarkerSize = {
    scatterDefaultSize: number;
    scatterBubbleMinSize: number;
    scatterBubbleMaxSize: number;
};
export type ScatterBubbleOptions = {
    animation: boolean;
    maxSize: number;
    minSize: number;
};
export declare const defaultScatterMarkerSize: ScatterMarkerSize;
export type ScatterChartInternalSeries = InternalSeries & {
    point: {
        custom?: ScatterCustomPointOptions;
    };
};
export declare const getScatterPlotOptions: (chartDesignOptions: ScatterChartDesignOptions, dataOptions: ScatterChartDataOptionsInternal) => PlotOptions;
