import { CategoricalChartDataOptionsInternal } from '../../../chart-data-options/types';
import { TreemapChartDesignOptions } from '../design-options';
import { TooltipSettings } from '../../tooltip';
import { TooltipFormatterContextObject } from '@sisense/sisense-charts';
import { TFunction } from '@sisense/sdk-common';
type TooltipFormatterOptions = {
    displayTotalContribution: boolean;
    displayColorCircles: boolean;
    shouldSkip: (context: TooltipFormatterContextObject) => boolean;
};
export declare const getTreemapTooltipSettings: (chartDataOptions: CategoricalChartDataOptionsInternal, designOptions: TreemapChartDesignOptions, translate: TFunction, formatterOptions?: TooltipFormatterOptions) => TooltipSettings;
export declare function treemapTooltipFormatter(context: TooltipFormatterContextObject, chartDataOptions: CategoricalChartDataOptionsInternal, designOptions: TreemapChartDesignOptions, translate: TFunction, formatterOptions?: TooltipFormatterOptions): string | false;
export {};
