/// <reference types="react" />
import { AreamapChartDataOptionsInternal } from '../../../../chart-data-options/types.js';
import { ChartData } from '../../../../chart-data/types.js';
import { AreamapDataPointEventHandler } from '../../../../props.js';
import { ChartRendererProps } from '../../../../chart/types.js';
import { AreamapChartDesignOptions, AreamapData } from '../types.js';
export type AreamapProps = {
    chartData: AreamapData;
    dataOptions: AreamapChartDataOptionsInternal;
    designOptions: AreamapChartDesignOptions;
    onDataPointClick?: AreamapDataPointEventHandler;
};
export declare const Areamap: React.FC<AreamapProps>;
export declare const isAreamapData: (chartData: ChartData) => chartData is AreamapData;
export declare const isAreamapProps: (props: ChartRendererProps) => props is AreamapProps;
