import { ClientApplication } from '../../../app/client-application';
import { QueryDescription } from '../../../query/execute-query';
import { QueryResultData } from '@sisense/sdk-data';
import { QueryExecutionConfig } from '@sisense/sdk-query-client';
/**
 * Load data by a regular single query execution.
 */
export declare function loadDataBySingleQuery(options: {
    app: ClientApplication;
    queryDescription: QueryDescription;
    executionConfig?: QueryExecutionConfig | undefined;
}): Promise<QueryResultData>;
