import { ScattermapChartLocation } from '../../../../chart-data/types';
import { ScattermapChartDataOptionsInternal } from '../../../../chart-data-options/types.js';
import { DataSource, Filter } from '@sisense/sdk-data';
export type TooltipOptions = {
    content: string;
    postponedContent?: Promise<string>;
};
type TooltipHandler = (location: ScattermapChartLocation) => TooltipOptions;
export declare const useTooltipHandler: ({ dataOptions, dataSource, filters, }: {
    dataOptions: ScattermapChartDataOptionsInternal;
    dataSource: DataSource | null;
    filters?: Filter[] | undefined;
}) => TooltipHandler;
export {};
