import { Filter, Attribute } from '@sisense/sdk-data';
import { FiltersIgnoringRules, PureFilter } from './types.js';
export declare function getAllowedFilters(filters: PureFilter[], ignoreFiltersOptions: FiltersIgnoringRules): Filter[];
export declare function getFilterByAttribute(filters: Filter[], attribute: Attribute): Filter | undefined;
export declare function createCommonFilter(attribute: Attribute, members: (string | number)[], existingCommonFilters: Filter[]): Filter;
export declare function isEqualMembersFilters(filterA: Filter, filterB: Filter): boolean;
