import React from 'react';
import { Item, ItemActionConfig, ItemSecondaryActionConfig } from './types';
/**
 * Props for the item row component.
 */
type ItemRowProps = {
    /** The item to display. */
    item: Item;
    /** The action to perform when the item is clicked. */
    itemActionConfig?: ItemActionConfig;
    /** The secondary action of the item. */
    itemSecondaryActionConfig?: ItemSecondaryActionConfig;
};
export declare const ItemRow: React.FC<ItemRowProps>;
export {};
