import { CompleteThemeSettings } from '../../types';
/**
 * Component that displays a loading indicator.
 *
 * @param themeSettings - Theme settings to use for the loading indicator.
 * @param onCancel - Function to call when cancel is clicked.
 * @returns A loading indicator with optional cancel.
 * @internal
 */
export declare const LoadingIndicator: ({ themeSettings, onCancel, }: {
    themeSettings?: CompleteThemeSettings | undefined;
    onCancel?: (() => void) | undefined;
}) => import("react/jsx-runtime").JSX.Element;
