/**
 * A collection of unique menu IDs for all menus from all components.
 *
 * @internal
 */
export declare enum MenuIds {
    WIDGET_POINTS_DRILLDOWN = "widget-points-drilldown",
    WIDGET_POINTS_CROSSFILTERING = "widget-points-crossfiltering"
}
/**
 * A collection of unique menu IDs for all menu sections from all components.
 *
 * Each default menu section in the CSDK should have an unique 'id' to distinguish it.
 *
 * @internal
 */
export declare enum MenuSectionIds {
    DRILLDOWN_CHART_POINTS_SELECTION = "drilldown-chart-points-selection",
    DRILLDOWN_DRILL_DIRECTIONS = "drilldown-drill-directions",
    CROSSFILTERING_CHART_POINTS_SELECTION = "crossfiltering-chart-points-selection"
}
