/// <reference types="react" />
import { BeforeMenuOpenHandler } from './types';
export interface MenuProviderProps {
    /** Optional handler function to process menu options before opening the menu. */
    onBeforeMenuOpen?: BeforeMenuOpenHandler;
    children?: React.ReactNode;
}
/**
 * The general menu provider component that decides whether to use the root or node-level menu provider.
 */
export declare const MenuProvider: ({ children, onBeforeMenuOpen }: MenuProviderProps) => import("react/jsx-runtime").JSX.Element;
