import { AnyArray, RestApiHookState } from '../../../../../../utils/utility-types';
import { HookExecutionStatus, WithLoadMore } from '../../types.js';
export declare function useGetHookStateResult<DataKey extends string, SuccessDataType extends AnyArray>(options: {
    status: HookExecutionStatus;
    dataKey: DataKey;
    data: SuccessDataType;
    loadMore: () => void;
    isDataReset: boolean;
    error?: Error;
}): WithLoadMore<RestApiHookState<DataKey, SuccessDataType>>;
