import { AnyArray } from '../../../../utils/utility-types';
import { LazyLoadingConfig, SliceableRestApiHook, HookWithLazyLoading, RestApiHookParams } from './types';
/**
 * A decorator that adds lazy loading functionality to a hook.
 *
 */
export declare const withLazyLoading: (config: LazyLoadingConfig) => <HookParams extends RestApiHookParams, DataKey extends string, SuccessDataType extends AnyArray>(hook: SliceableRestApiHook<HookParams, DataKey, SuccessDataType>) => HookWithLazyLoading<HookParams, DataKey, SuccessDataType, SliceableRestApiHook<HookParams, DataKey, SuccessDataType>>;
