import { RestApiHookState } from '../../../utils/utility-types';
import { DataSource, DataSourceField } from '@sisense/sdk-data';
/**
 * Gets the fields of a data source.
 *
 * @param dataSource - The data source to get the fields for
 * @internal
 */
export declare const useGetDataSourceFields: (params: {
    dataSource: DataSource | undefined;
    enabled?: boolean;
    count?: number;
    offset?: number;
    searchValue?: string;
}) => DataSourceFieldsState;
type DataSourceFieldsState = RestApiHookState<'dataSourceFields', DataSourceField[]>;
export {};
