import type { DeepRequired } from 'ts-essentials';
import { DashboardByIdConfig, DashboardConfig, EditModeConfig, WidgetsPanelConfig } from './types';
export declare const DEFAULT_DASHBOARD_CONFIG: DeepRequired<Omit<DashboardConfig, 'widgetsPanel'> & {
    widgetsPanel: Omit<WidgetsPanelConfig, 'editMode'> & {
        editMode: Omit<EditModeConfig, 'isEditing'>;
    };
}>;
export declare const DEFAULT_DASHBOARD_BY_ID_CONFIG: DeepRequired<Omit<DashboardByIdConfig, 'widgetsPanel'> & {
    widgetsPanel: Omit<WidgetsPanelConfig, 'editMode'> & {
        editMode: Omit<EditModeConfig, 'isEditing'>;
    };
}>;
