import { WidgetProps } from '../props';
import { WidgetsPanelColumnLayout } from './types';
export declare const getDividerStyle: (color: string, width: number) => string;
/**
 * Gets the default layout for a set of widgets.
 *
 * Widgets are laid out in a single column vertically.
 *
 * @param widgets - The widgets to create a layout for.
 * @returns The default layout for the widgets.
 */
export declare const getDefaultWidgetsPanelLayout: (widgets: WidgetProps[]) => WidgetsPanelColumnLayout;
