import { DataSource, Filter } from '@sisense/sdk-data';
import { AttributiveElement } from '../dimensions-browser/types';
type AddFilterPopoverProps = {
    anchorEl: HTMLElement;
    isOpen: boolean;
    onClose?: () => void;
    dataSources: DataSource[];
    initialDataSource: DataSource;
    /**
     * Optional. If provided, these attributes in the data browser will be disabled and can't be selected for filter creation.
     */
    disabledAttributes?: AttributiveElement[];
    onFilterCreated: (filter: Filter) => void;
};
/**
 * A popover with "data browser" that allows users to select a data source and an attribute to create a filter.
 */
export declare const AddFilterPopover: ({ anchorEl, isOpen, onClose, dataSources, initialDataSource, onFilterCreated, disabledAttributes, }: AddFilterPopoverProps) => import("react/jsx-runtime").JSX.Element;
export {};
