import { ComponentDecorator, SisenseComponentConfig } from './as-sisense-component';
type SisenseContextValidationConfig = Pick<SisenseComponentConfig, 'shouldSkipSisenseContextWaiting' | 'customContextErrorMessageKey'>;
/**
 * Adds waiting for the Sisense context to be initialized
 */
export declare const withSisenseContextValidation: ComponentDecorator<SisenseContextValidationConfig>;
export {};
