import { ErrorEventOptions } from '@sisense/sdk-tracking';
import { HttpClient } from '@sisense/sdk-rest-client';
import { Component, ReactNode } from 'react';
import { SisenseContextPayload } from '../../../sisense-context/sisense-context';
type ErrorTrackerProps = {
    children: ReactNode;
    handler: (options: ErrorEventOptions) => Promise<void>;
    componentName: string;
};
export declare class ErrorTracker extends Component<ErrorTrackerProps, {
    error: Error | string | null;
}> {
    componentName: string;
    context: SisenseContextPayload;
    handler: (options: ErrorEventOptions) => Promise<void>;
    httpClient?: HttpClient;
    postponedErrors: Error[];
    constructor(props: ErrorTrackerProps);
    static contextType: import("react").Context<SisenseContextPayload>;
    componentDidMount(): void;
    componentDidCatch(error: Error): void;
    private sendErrorTracking;
    render(): ReactNode;
}
export {};
