import { type FunctionComponent, type ButtonHTMLAttributes } from 'react';
import { Themable } from '../../../theme-provider/types';
export type Variant = 'white' | 'grey';
type InputProps = {
    variant?: Variant;
    label?: string;
    isActive?: boolean;
} & ButtonHTMLAttributes<HTMLButtonElement>;
export type DateRangeFieldButtonProps = InputProps & Themable;
export declare const DateRangeFieldButton: FunctionComponent<DateRangeFieldButtonProps>;
export {};
