import { DateRangeFilter } from '@sisense/sdk-data';
import type { DateRangeFilterTileProps } from './date-range-filter-tile';
import { DateLimits } from './use-date-limits';
type EditableDateRangeFilterProps = DateRangeFilterTileProps & {
    filter: DateRangeFilter;
    dateLimits: Required<DateLimits>;
    isOldDateRangeFilterTile?: boolean;
    disabled?: boolean;
};
/**
 * Editable Date Range Filter component for filtering data by date range.
 */
export declare const EditableDateRangeFilter: (props: EditableDateRangeFilterProps) => import("react/jsx-runtime").JSX.Element;
export {};
