import { DetailedHTMLProps, InputHTMLAttributes } from 'react';
import { Themable } from '../../../../theme-provider/types';
export declare const BaseInput: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & Themable, DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, {}>;
type InputProps = DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> & {
    error?: boolean | string;
    wrapperStyle?: React.CSSProperties;
    inputRef?: (input: HTMLInputElement) => void;
};
/** @internal */
export declare function Input(props: InputProps): import("react/jsx-runtime").JSX.Element;
export {};
