import { CSSProperties, ReactNode } from 'react';
export type ScrollWrapperOnScrollEvent = {
    top: number;
    direction: 'down' | 'up';
};
/**
 * @internal
 */
export declare const ScrollWrapper: (props: {
    onScroll?: ((event: ScrollWrapperOnScrollEvent) => void) | undefined;
    style?: CSSProperties | undefined;
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
