import { SelectItem } from './types';
import { ScrollWrapperOnScrollEvent } from '../../../../../filters/components/filter-editor-popover/common/scroll-wrapper';
type SearchableMultiSelectProps<Value> = {
    values?: Value[];
    items: SelectItem<Value>[];
    width?: number | string;
    placeholder?: string;
    onChange?: (values: Value[]) => void;
    onListScroll?: (event: ScrollWrapperOnScrollEvent) => void;
    showListLoader?: boolean;
    showSearch?: boolean;
    onSearchUpdate?: (searchValue: string) => void;
};
/** @internal */
export declare function SearchableMultiSelect<Value = unknown>(props: SearchableMultiSelectProps<Value>): import("react/jsx-runtime").JSX.Element;
export {};
