import { ReactNode } from 'react';
type ChildrenFn = (select: () => void) => ReactNode;
type SelectableSectionProps = {
    selected: boolean;
    onSelect: (selected: boolean) => void;
    children: ReactNode | ChildrenFn;
    disabled?: boolean;
};
/** @internal */
export declare const SelectableSection: ({ selected, children, onSelect, disabled, ...rest }: SelectableSectionProps) => import("react/jsx-runtime").JSX.Element;
export {};
