import { ReactNode } from 'react';
import { DataSource, Filter } from '@sisense/sdk-data';
type FilterEditorContextValue = {
    defaultDataSource: DataSource | null;
    parentFilters: Filter[];
    membersOnlyMode: boolean;
};
/** @internal */
export declare const useFilterEditorContext: () => FilterEditorContextValue;
/** @internal */
export declare const FilterEditorContextProvider: ({ value, children, }: {
    value: FilterEditorContextValue;
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export {};
