import { DataSource, type Filter } from '@sisense/sdk-data';
import { PopoverAnchorPosition } from '../../../common/components/popover';
import { FilterEditorConfig } from './types';
type FilterEditorPopoverPosition = Pick<PopoverAnchorPosition, 'anchorEl'>;
type FilterEditorPopoverProps = {
    filter?: Filter | null;
    parentFilters?: Filter[];
    position?: FilterEditorPopoverPosition;
    onChange?: (filter: Filter) => void;
    onClose?: () => void;
    /** Default data source used for filter attribute */
    defaultDataSource?: DataSource;
    config?: FilterEditorConfig;
};
/** @internal */
export declare const FilterEditorPopover: ({ filter, parentFilters, position, onChange, onClose, defaultDataSource, config, }: FilterEditorPopoverProps) => import("react/jsx-runtime").JSX.Element | null;
export {};
