import { DataSource, Filter } from '@sisense/sdk-data';
import { FilterEditorConfig } from './types';
type FilterEditorProps = {
    filter: Filter;
    parentFilters?: Filter[];
    onChange?: (filter: Filter | null) => void;
    /** Default data source used for filter attribute */
    defaultDataSource?: DataSource;
    config?: FilterEditorConfig;
};
/** @internal */
export declare const FilterEditor: ({ filter, parentFilters, config, onChange, defaultDataSource, }: FilterEditorProps) => import("react/jsx-runtime").JSX.Element;
export {};
