export declare const NumericCondition: {
    readonly EXCLUDE: "exclude";
    readonly EQUALS: "numericequals";
    readonly NOT_EQUALS: "numericdoesntEqual";
    readonly LESS_THAN: "numerictoNotEqual";
    readonly LESS_THAN_OR_EQUAL: "numericto";
    readonly GREATER_THAN: "numericfromNotEqual";
    readonly GREATER_THAN_OR_EQUAL: "numericfrom";
};
export type NumericConditionType = (typeof NumericCondition)[keyof typeof NumericCondition];
export type NumericConditionFilterData = {
    condition: NumericConditionType;
    value: string;
    selectedMembers: string[];
    multiSelectEnabled: boolean;
};
