import { Attribute, Filter, MembersFilterConfig } from '@sisense/sdk-data';
import { CRITERIA_FILTER_MAP } from '../../criteria-filter-tile/criteria-filter-operations.js';
export declare function getCriteriaFilterBuilder(condition: keyof typeof CRITERIA_FILTER_MAP): import("../../criteria-filter-tile/criteria-filter-operations.js").FilterInfo;
export declare function createExcludeMembersFilter(attribute: Attribute, members: string[], config?: MembersFilterConfig): Filter | null;
export declare function getMembersWithoutDeactivated(filter: Filter, selectedMembers: string[]): string[];
export declare function getMembersWithDeactivated(filter: Filter): string[];
export declare function getConfigWithUpdatedDeactivated(filter: Filter, selectedMembers: string[]): import("@sisense/sdk-data").FilterConfig;
