/// <reference types="react" />
import { Member } from './members-reducer';
interface Props {
    initialMembers: Member[];
    initialSelectedMembers: Member[];
    onUpdateSelectedMembers?: (members: string[], disabled?: boolean) => void;
    disabled: boolean;
}
export declare const useMembers: ({ initialMembers, initialSelectedMembers, onUpdateSelectedMembers, disabled, }: Props) => {
    members: Member[];
    selectedMembers: import("./members-reducer").SelectedMember[];
    dispatch: import("react").Dispatch<import("./members-reducer").MembersAction>;
};
export {};
