import { HttpClient } from '@sisense/sdk-rest-client';
export interface GetDashboardModelsOptions {
    /**
     * Dashboard title to search by
     *
     * Dashboard titles are not necessarily unique, so the result may contain multiple dashboards.
     */
    searchByTitle?: string;
    /**
     * {@inheritDoc GetDashboardModelOptions.includeWidgets}
     */
    includeWidgets?: boolean;
}
/** @internal */
export declare function getDashboardModels(http: HttpClient, options?: GetDashboardModelsOptions): Promise<import('../../models').DashboardModel[]>;
