import { type HierarchyDto } from '../../widget-by-id/types';
import { type HierarchyModel } from './hierarchy-model';
/**
 * Creates a new hierarchy model from a hierarchy DTO.
 *
 * @param hierarchyDto - The hierarchy DTO to be converted to a hierarchy model
 * @internal
 */
export declare function fromHierarchyDto(hierarchyDto: HierarchyDto): HierarchyModel;
