import { JaqlRequest, PivotBuilder } from '@sisense/sdk-pivot-client';
interface LoadingState {
    isLoading: boolean;
    isNoResults: boolean;
}
/**
 * Hook that initiates loading if jaql is changed or force reload is triggered.
 * Listens to query lifecycle events to update loading state and no results state.
 */
export declare function usePivotDataLoading(options: {
    jaql: JaqlRequest | undefined;
    pivotBuilder: PivotBuilder;
    isForceReload: boolean;
}): LoadingState;
export {};
