import { type SortingSettingsChangePayload } from '@sisense/sdk-pivot-client';
import { PivotTableDataOptionsInternal } from '..';
import type { SortDirection, PivotRowsSort } from '../types';
export type PivotRowsSortCriteria = {
    rowIndex: number;
    sort: PivotRowsSort | null;
};
export type PivotSortCriteria = {
    rows: PivotRowsSortCriteria[];
};
export declare function normalizePivotSort(sortType: SortDirection | PivotRowsSort): PivotRowsSort;
export declare function preparePivotRowsSortCriteriaList({ type, settings, sortDetails }: SortingSettingsChangePayload, dataOptionsInternal: PivotTableDataOptionsInternal): PivotRowsSortCriteria[];
