import { Data } from '@sisense/sdk-data';
import { TableDataOptionsInternal } from '../../chart-data-options/types';
import { DataColumnNamesMapping } from '../../chart-data-options/validate-data-options';
type UseTableDataTableProps = {
    data: null | Data;
    innerDataOptions: TableDataOptionsInternal | null;
    dataColumnNamesMapping: DataColumnNamesMapping;
    needToAggregate?: boolean;
};
export declare const useTableDataTable: ({ data, innerDataOptions, dataColumnNamesMapping, needToAggregate, }: UseTableDataTableProps) => import("../../chart-data-processor/table-processor").DataTable | null;
export {};
