import { CompleteThemeSettings } from '../types';
export declare const DEFAULT_DIVIDER_COLOR = "#F2F2F2";
export declare const DEFAULT_DIVIDER_WIDTH = 4;
export declare const DEFAULT_DASHBOARD_BORDER_COLOR = "#D5D5D5";
export declare const DEFAULT_DASHBOARD_BORDER_WIDTH = 1;
export declare const DEFAULT_FILTER_PANEL_BORDER_COLOR = "#DADADA";
export declare const DEFAULT_TITLE_FONT_SIZE = 15;
/**
 * Returns default theme settings, which can be used as base for custom theme options.
 *
 * @param isDarkMode - Boolean value whether to get theme settings for dark mode
 * @returns Theme settings object
 * @internal
 */
export declare const getDefaultThemeSettings: (isDarkMode?: boolean) => CompleteThemeSettings;
