import { DataColorOptions } from '../chart-data/data-coloring/index.js';
import { ValueToColorMap, MultiColumnValueToColorMap, Color } from '../types.js';
import { PanelColorFormat, PanelItem, PanelMembersFormat } from './types.js';
export declare const createValueColorOptions: (format?: PanelColorFormat, customPaletteColors?: Color[]) => DataColorOptions | undefined;
export declare const createValueToColorMap: (membersFormat: PanelMembersFormat) => ValueToColorMap;
export declare const createValueToColorMultiColumnsMap: (items: PanelItem[]) => MultiColumnValueToColorMap;
