import React from 'react';
import { Attribute } from '@sisense/sdk-data';
import { Dispatch, SetStateAction } from 'react';
interface ButtonsProps {
    clearDrilldownSelections: () => void;
    currentDimension: Attribute;
    isHovered: boolean;
    setIsHovered: Dispatch<SetStateAction<boolean>>;
    themeProps: ThemeProps;
}
interface ThemeProps {
    primaryTextColor: string;
    secondaryTextColor: string;
    fontFamily: string;
    backgroundColor: string;
    brandColor: string;
    primaryButtonTextColor: string;
    chartBackgroundColor: string;
    activeDrillBackgroundColor: string;
    activeDrillHoverBackgroundColor: string;
}
interface Buttons {
    CancelButton: React.FC;
    CurrentDrillButton: React.FC;
}
declare const useButtons: ({ clearDrilldownSelections, currentDimension, setIsHovered, themeProps, }: ButtonsProps) => Buttons;
export default useButtons;
